2009-05-07  Christian Persch  <chpe@gnome.org>

	* configure.in: Update glib req to 2.18.
	* src/gconf-bridge.c: (error_handler):
	* src/sj-extracting.c: (build_filename), (on_error_cb):
	* src/sj-main.c: (sj_debug), (reread_cd): Safely printf strings. 
	Bug #581750.

2009-04-10  Ross Burton  <ross@linux.intel.com>

	* configure.in:
	* NEWS:
	Version 2.26.1.

2009-04-07  Ross Burton  <ross@linux.intel.com>

	* libjuicer/sj-metadata-gvfs.c:
	Actually use the TrackData we created (#578286)

2009-04-06  Ross Burton  <ross@linux.intel.com>

	* configure.in:
	Require a recent libmusicbrainz3.
	
	* libjuicer/sj-metadata-musicbrainz3.c:
	Read the track artist for each track, not the release
	artist (#576574).  Thanks Jonathan Matthew.
	
2009-04-06  Hubert Figuiere  <hub@figuiere.net>

	* libjuicer/sj-metadata-musicbrainz3.c (mb_list_albums): 
	Make sure release is not NULL. (Close: #575820)

2009-04-06  Ross Burton  <ross@linux.intel.com>

	* libjuicer/sj-metadata.c:
	Check that the date isn't NULL when parsing (#578060).

2009-03-17  Ross Burton  <ross@linux.intel.com>

	* configure.in:
	* NEWS:
	Version 2.26.0

2009-03-09  Ross Burton  <ross@linux.intel.com>

	* configure.in:
	* NEWS:
	Version 2.25.92.

2009-02-24  Ross Burton  <ross@linux.intel.com>

	* src/sj-main.c:
	Set the PulseAudio role hint.

2009-02-19  Bastien Nocera  <hadess@hadess.net>

	* configure.in:
	* libjuicer/Makefile.am:
	* libjuicer/sj-metadata-getter.c (lookup_cd):
	Allow building with the old libmusicbrainz as long
	as libmusicbrainz3 is available (Closes: #572383)

2009-02-17  Ross Burton  <ross@linux.intel.com>

	* src/egg-play-preview.c:
	Remove deprecated GTK+ calls (#572087)

2009-02-13  Ross Burton  <ross@linux.intel.com>

	* configure.in:
	* NEWS:
	Version 2.25.3.

2009-02-13  Ross Burton  <ross@linux.intel.com>

	* libjuicer/sj-extractor.c:
	Handle comma separated genres.

2009-02-10  Ross Burton  <ross@linux.intel.com>

	* configure.in:
	Look for libcanberra-gtk.

	* src/sj-prefs.c:
	Use canberra to play a sound when the rip is complete (#469258).
	
2009-02-10  Ross Burton  <ross@linux.intel.com>

	* src/sj-prefs.c:
	Handle the file or path pattern combo containing a custom
	combo (#339089).

2009-02-10  Ross Burton  <ross@linux.intel.com>

	* libjuicer/sj-extracting.c:
	Fix a brainfart.

2009-02-10  Ross Burton  <ross@linux.intel.com>

	* configure.in:
	Require GStreamer 0.10.15.

	* libjuicer/sj-extracting.c:
	Don't use GST_TAG_MUSICBRAINZ_SORTNAME, instead use
	ARTIST_SORTNAME. Also assume the Musicbrainz tags exist.
	
2009-02-10  Ross Burton  <ross@linux.intel.com>

	* src/sj-main.c:
	Remove musicbrainz data if the album artist and title are
	edited (#566431).

2009-02-10  Ross Burton  <ross@linux.intel.com>

	* src/sj-main.c:
	Fix error handling if the glade file isn't found.

2009-02-10  Ross Burton  <ross@linux.intel.com>

	* src/sj-main.c:
	Free the option context once we're done with it (#569008) and
	rearrange startup a bit.

2009-02-09  Ross Burton  <ross@linux.intel.com>

	* src/sj-main.c:
	Allow unsetting of disc number.

2009-02-09  Ross Burton  <ross@linux.intel.com>

	* data/sound-juicer.glade:
	Actually add a changed handler for the disc number (#537550)

2009-02-07  Ross Burton  <ross@linux.intel.com>

	* src/sj-prefs.c:
	Use disk number in the rest of the patterns.

2009-02-07  Ross Burton  <ross@linux.intel.com>

	* src/sj-main.c:
	* libjuicer/sj-extractor.c:
	Don't use // comments (#569140)

2009-01-26  Pedro Fragoso  <ember@ubuntu.com>

	* libjuicer/sj-extractor.c:
	* libjuicer/sj-extractor.h:
	* libjuicer/sj-metadata-cdtext.c:
	* libjuicer/sj-util.h:
	* src/gconf-bridge.c:
	* src/gconf-bridge.h:
	* src/gedit-message-area.h:
	* src/sj-about.c:
	* src/sj-about.h:
	* src/sj-extracting.c:
	* src/sj-extracting.h:
	* src/sj-main.h:
	* src/sj-play.c:
	* src/sj-play.h:
	* src/sound-juicer.h:
	GNOME Goal: Clean up GLib and GTK+ includes (Closes #563798)

2009-02-07  Ross Burton  <ross@linux.intel.com>

	* data/sound-juicer.schemas.in:
	* src/sj-prefs.c:
	Change the default file name pattern to use %dn, which includes
	the disc number (#526649)

2009-02-07  Ross Burton  <ross@linux.intel.com>

	* src/sj-extracting.c:
	* data/sound-juicer.schemas.in:
	Update the file pattern documentation.

2009-02-03  Ross Burton  <ross@linux.intel.com>

	* configure.in:
	* NEWS:
	Version 2.25.2.

2009-01-28  Christian Persch  <chpe@gnome.org>

	* src/sj-main.c: (main): Remove redundant gtk_init() call. Bug
	#569020.

2009-01-28  Ross Burton  <ross@linux.intel.com>

	* src/sj-prefs.c:
	Fix compile failure (Frederic Peters)

2009-01-28  Luis Medinas  <lmedinas@gnome.org>

	* configure.in:
	* data/sound-juicer.glade:
	* libjuicer/sj-metadata.c (sj_metadata_helper_check_media):
	* src/sj-extracting.c (cleanup), (finished_actions),
	(on_extract_activate):
	* src/sj-main.c (on_eject_activate), (is_audio_cd),
	(media_added_cb), (media_removed_cb), (set_drive_from_device),
	(set_device), (cd_drive_exists), (prefs_get_default_device),
	(is_cd_duplication_available), (on_duplicate_activate), (main):
	* src/sj-play.c (setup):
	* src/sj-prefs.c (device_changed_cb), (prefs_drive_changed),
	(on_edit_preferences_cb):
	* src/sound-juicer.h:

	Use libbrasero-media instead of nautilus-cd-burner for burning,
	Brasero will replace n-c-b for GNOME 2.26.
	Patch from Philippe Rouquier <bonfire-app@wanadoo.fr>
	Closes bgo #567286.

2009-01-23  Ross Burton  <ross@linux.intel.com>

	* configure.in:
	Check for socket(), fixing Solaris builds (#532094, thanks Brian
	Cameron).

2009-01-05  Bastien Nocera  <hadess@hadess.net>

	* src/sj-main.c (musicbrainz_submit_message_area_new):
	Fix conflicting mnemonics (Closes: #566597)

2008-12-22  Ross Burton  <ross@linux.intel.com>

	* configure.in:
	* src/sj-main.c:
	* src/sj-extracting.c:
	* src/sj-prefs.c:
	Drop libgnome and instead use the new GTK+ hotness.  Thanks Iain
	Holmes and Emilio Pozuelo Monfort (#556793)

2008-12-22  Jonathan Matthew  <jonathan@d14n.org>

	* libjuicer/sj-metadata-musicbrainz3.c: (mb_list_albums):
	Handle mb_query_get_releases returning NULL, which indicates an error.
	It doesn't tell us anything about the error, sadly.  (Closes: #565056)

2008-12-18  Bastien Nocera  <hadess@hadess.net>

	* libjuicer/sj-metadata-musicbrainz3.c (mb_list_albums):
	Revert g_return_if_fail return type mismatch

2008-12-18  Bastien Nocera  <hadess@hadess.net>

	* libjuicer/sj-metadata-getter.h:
	* libjuicer/sj-metadata-gvfs.c:
	* libjuicer/sj-metadata-musicbrainz.c:
	* libjuicer/sj-metadata.c:
	* libjuicer/sj-metadata.h:
	* libjuicer/sj-structures.c:
	* libjuicer/sj-structures.h: Single include for the copy/paste
	files in rhythmbox

2008-12-11  Claude Paroz  <claude@2xlibre.net>

	* data/sound-juicer.1: Missing space before '--help-gnome'. Patch by
	Emilio Pozuelo Monfort (Closes: #564041) 

2008-11-28  Bastien Nocera  <hadess@hadess.net>

	* configure.in: Fix compiling with musicbrainz3, yay
	for typos (Closes: #559383)

2008-11-28  Bastien Nocera  <hadess@hadess.net>

	* tests/Makefile.am:
	* tests/mb-test.c (main): Call i18n functions so UTF-8
	output works as expected (See
	http://bugzilla.gnome.org/show_bug.cgi?id=559383#c4 )

2008-11-04  Ross Burton  <ross@linux.intel.com>

	* configure.in:
	* NEWS:
	Version 2.25.1.

2008-09-24  Ross Burton  <ross@linux.intel.com>

	* data/sound-juicer.desktop.in.in:
	Remove Encoding field, it isn't required (#551946, thanks Pacho Ramos).

2008-09-24  Ross Burton  <ross@linux.intel.com>

	* data/sound-juicer.desktop.in.in:
	Add Audio to the categories (#552090, Patryk Zawadzki)

2008-09-08  Ross Burton  <ross@burtonini.com>

	* src/sj-main.c:
	Correctly parse CDDA URLs (#550131, thanks Matthew Martin).

2008-09-05  Ross Burton  <ross@burtonini.com>

	* libjuicer/sj-metadata-musicbrainz3.c:
	* libjuicer/sj-metadata-cdtext.c:
	Don't store the album list in a private field any more (not
	required now), and especially don't free it when the app is still
	using it.

2008-09-04  Bastien Nocera  <hadess@hadess.net>

	* libjuicer/sj-metadata-cdtext.c (cdtext_list_albums):
	Remove some TODO items

	* libjuicer/sj-metadata-musicbrainz3.c:
	* libjuicer/sj-metadata.c (sj_metadata_helper_check_media):
	* libjuicer/sj-structures.c (album_details_free):
	Fixes for rhythmbox compilation

2008-09-04  Bastien Nocera  <hadess@hadess.net>

	* configure.in: Make libcdio an optional library again,
	it would conflict with the GPL + exception license

	* libjuicer/Makefile.am:
	* libjuicer/sj-metadata-getter.c (lookup_cd):
	* libjuicer/sj-metadata-gvfs.c (device_to_cdda_uri),
	(gvfs_list_albums), (sj_metadata_gvfs_get_property),
	(sj_metadata_gvfs_set_property), (sj_metadata_gvfs_finalize),
	(sj_metadata_gvfs_init), (metadata_iface_init),
	(sj_metadata_gvfs_class_init), (sj_metadata_gvfs_new):
	* libjuicer/sj-metadata-gvfs.h: Add a gvfs based metadata
	reader, for fallback support

2008-09-04  Bastien Nocera  <hadess@hadess.net>

	* libjuicer/sj-error.c:
	* libjuicer/sj-error.h:
	* libjuicer/sj-structures.c:
	* libjuicer/sj-structures.h: Relicense those 4 files under
	the LGPL, see #550481 for details

2008-09-04  Bastien Nocera  <hadess@hadess.net>

	* libjuicer/sj-structures.h: Remove unneeded include

2008-09-04  Bastien Nocera  <hadess@hadess.net>

	* libjuicer/sj-metadata-getter.c (sj_metadata_getter_set_cdrom):
	* libjuicer/sj-metadata.c (sj_metadata_helper_check_media):
	Move in 2 pieces of code from Rhythmbox (compile-time option
	of using totem-pl-parser for device checking, Solaris device
	work-around)

2008-09-04  Bastien Nocera  <hadess@hadess.net>

	* libjuicer/sj-metadata-musicbrainz.c (mb_list_albums):
	* libjuicer/sj-metadata-musicbrainz3.c (mb_list_albums):
	* libjuicer/sj-metadata-musicbrainz3.h:
	* libjuicer/sj-metadata.c (sj_metadata_helper_check_media):
	* libjuicer/sj-metadata.h: Move the nautilus-burn assisted
	media type checking to a shared location

2008-09-04  Bastien Nocera  <hadess@hadess.net>

	* libjuicer/sj-metadata-musicbrainz.c (mb_list_albums):
	* libjuicer/sj-metadata-musicbrainz3.c (make_album_from_release):
	* libjuicer/sj-metadata.c (sj_metadata_helper_scan_date):
	* libjuicer/sj-metadata.h: Move the date parsing to a common place

2008-09-04  Bastien Nocera  <hadess@hadess.net>

	* libjuicer/sj-metadata-musicbrainz.c (mb_list_albums),
	(sj_metadata_musicbrainz_init), (sj_metadata_musicbrainz_finalize):
	* libjuicer/sj-metadata-musicbrainz3.c (make_album_from_release),
	(mb_list_albums):
	* libjuicer/sj-metadata.c (sj_metadata_helper_scan_disc_number):
	* libjuicer/sj-metadata.h:
	* libjuicer/sj-structures.h:
	* tests/mb-test.c (release_type_to_id), (metadata_cb), (main):
	- Move code to parse album titles into disc numbers to a common
	location for both musicbrainz backends, and fix valgrind errors
	(g_match_info_fetch() doesn't like having the string change from
	 underneath it)
	- Add a way to override the DiscID used, using the
	  MUSICBRAINZ_FORCE_DISC_ID envvar (MB3)
	- Fix leak of the disc ID (MB3)
	- Fix empty strings when we want them NULL (MB3)
	- Fix invalid memory access when getting the release date (MB3)
	- Add a few test DiscIDs to the metadata tester
	- Check whether a release is "Spoken Word" (Helps: #535181)

2008-09-03  Bastien Nocera  <hadess@hadess.net>

	* configure.in:
	* src/Makefile.am:
	* src/gsttaglib.cc:
	* src/gsttaglib.h:
	* src/sj-main.c (main): Remove taglib based id3mux plugin
	(Closes: #522411)

2008-09-03  Bastien Nocera  <hadess@hadess.net>

	* configure.in: Check for libmusicbrainz3, and require libcdio
	* libjuicer/Makefile.am:

	* libjuicer/sj-metadata-getter.c:
	* libjuicer/sj-metadata-getter.h: Add a helper object to gather
	data from different metadata backends, with fallback support. The
	threading is now in the helper object, and not in the metadata
	backends themselves. The backends don't have signals anymore,
	and are synchronous.

	* libjuicer/sj-metadata-cdtext.c (cdtext_list_albums),
	(sj_metadata_cdtext_finalize):
	* libjuicer/sj-metadata-musicbrainz.c (mb_list_albums),
	(metadata_interface_init):
	* libjuicer/sj-metadata.c (sj_metadata_base_init),
	(sj_metadata_list_albums):
	* libjuicer/sj-metadata.h:
	* libjuicer/sj-structures.h:
	* src/sj-main.c (metadata_cb), (reread_cd), (set_device),
	(http_proxy_setup), (main):
	* tests/mb-test.c (source_to_str), (metadata_cb), (main):
	Change for the above

	* libjuicer/sj-metadata-musicbrainz3.c:
	* libjuicer/sj-metadata-musicbrainz3.h: Add libmusicbrainz3 support

	(Closes: #516447)

2008-09-03  Bastien Nocera  <hadess@hadess.net>

	* libjuicer/sj-metadata-musicbrainz.c (lookup_cd):
	* libjuicer/sj-structures.c (album_details_free):
	* libjuicer/sj-structures.h:
	* tests/mb-test.c (source_to_str), (metadata_cb):
	Export ASIN, discogs and Wikipedia URLs in the disc metadata,
	only ASIN implemented for the Musicbrainz2 backend right now
	(Closes: #550587)

2008-08-18  Ross Burton  <ross@burtonini.com>

	* src/sj-main.c:
	Dont free the option context, it crashes!

2008-08-18  Ross Burton  <ross@burtonini.com>

	* configure.ac:
	* NEWS:
	Version 2.23.2.

2008-08-18  Ross Burton  <ross@burtonini.com>

	* src/sj-main.c:
	Stop playback when we re-read the disc (#546948, Matthew Martin).

2008-08-18  Ross Burton  <ross@burtonini.com>

	* src/sj-extracting.c:
	Don't eject the CD unless some tracks were successfully ripped.

	* data/sound-juicer.glade:
	Small string clarification.

	#530110, Matthew Martin.

2008-08-18  Ross Burton  <ross@burtonini.com>

	* src/sj-extracting.c:
	Don't try and move the temp file when skipping tracks (#547018,
	Matthew Martin).
	
2008-08-18  Ross Burton  <ross@burtonini.com>

	* src/sj-main.c:
	Free the option context (#547924, Pierre Benz)

2008-08-17  Ross Burton  <ross@burtonini.com>

	* src/sj-main.c:
	Don't block the UI when calling nautilus-cd-burner (#548140)

2008-08-08  Ross Burton  <ross@burtonini.com>

	* src/sj-play.c:
	Fix playback track switching (#546942, thanks Matthew Martin).

2008-08-04  Ross Burton  <ross@burtonini.com>

	* configure.in:
	* NEWS:
	Version 2.23.1.

2008-08-04  Ross Burton  <ross@burtonini.com>

	* src/sj-play.c:
	Fix play+pause+play (#523182, thanks Matthew Martin).

2008-06-17  Ross Burton  <ross@burtonini.com>

	* src/sj-extracting.c:
	* data/sound-juicer.schemas.in:
	Add %ay, album year.  Based on a patch by Juan F. Giménez
	Silva (#522909).

2008-06-05  Ross Burton  <ross@burtonini.com>

	* configure.in:
	* NEWS:
	Version 2.23.0.

2008-06-05  Ross Burton  <ross@burtonini.com>

	* configure.in:
	* Makefile.am:
	Require intltool 0.40.

2008-06-05  Ross Burton  <ross@burtonini.com>

	* libjuicer/sj-util.[ch]:
	* src/sj-extracting.c:
	Update to the latest make_directory_with_parents from bugzilla.

2008-06-05  Ross Burton  <ross@burtonini.com>

	* configure.in:
	* src/sj-main.c:
	* src/sound-juicer.h:
	* src/sj-play.c:
	* src/sj-extracting.c:
	* src/sj-prefs.c:
	* libjuicer/sj-extractor.c:
	* libjuicer/sj-util.c:
	* libjuicer/sj-extractor.h:
	* libjuicer/sj-util.h:
	Port to GIO.  Thanks to Michael Terry for the bulk of this
	work! (#514673).

2008-05-14  Ross Burton  <ross@burtonini.com>

	* data/sound-juicer.desktop.in.in:
	Specify that URLs can be passed when starting SJ
	
	* src/sj-main.c:
	Munge any passed URLs into device paths.

	#530423, thanks Bastien "Big Baz" Nocera.

2008-05-14  Ross Burton  <ross@burtonini.com>

	* data/sound-juicer.glade:
	* src/sj-main.c:
	Fix display problems with the notification by putting it inside an
	event box (#512231, thanks Pekka Vuorela)

2008-04-17  Luca Cavalli  <lcavalli@svn.gnome.org>

	* src/Makefile.am:
	* src/egg-play-preview.[ch]:
	Add an audio preview widget.
	* src/sj-extracting.c: (confirm_overwrite_existing_file):
	Allow the user to listen to the track before choose to skip or
	overwrite it (#161315).

2008-04-13  Ross Burton  <ross@burtonini.com>

	* configure.in:
	Add AM_PROG_CC_C_O.

2008-04-13  Ross Burton  <ross@burtonini.com>

	* configure.in:
	Bump GTK+ dependency to 2.12.

	* src/Makefile.am:
	* src/bacon-volume.[ch]:
	* po/POTFILES.in:
	Remove BaconVolume widget.

	* data/sound-juicer.glade:
	* src/sj-main.c:
	* src/sj-play.[ch]:
	Use GtkVolumeButton (#518753, thanks Michael Terry)

2008-04-13  Ross Burton  <ross@burtonini.com>

	* src/sj-extracting.c:
	Fix crash when no profile is selected (#364666, thanks Matthew Martin).

2008-04-13  Ross Burton  <ross@burtonini.com>

	* libjuicer/sj-metadata-musicbrainz.c:
	Clean up _new().

2008-03-14  Ross Burton  <ross@burtonini.com>

	* src/sj-extracting.c:
	Add []<> to the special list (#511664, thanks Matthew Martin).

2008-03-14  Ross Burton  <ross@burtonini.com>

	* data/sound-juicer.glade:
	Make the year and disc entries accessible (#520687, thanks
	Patrick Wade).

2008-03-14  Tim-Philipp Müller  <tim at centricular dot net>

	* src/sj-play.c: (select_track):
	  Don't use gst_element_seek_simple() though, otherwise we'd have
	  to up the GStreamer requirement.

2008-03-14  Tim-Philipp Müller  <tim at centricular dot net>

	* src/sj-play.c: (select_track), (cb_error):
	  Fix error handling: when the state change fails immediately
	  (e.g. because the audio device can't be opened), return FALSE
	  to the caller, so that the caller doesn't try to go into
	  playing state a second time, which would result in two error
	  dialogs being shown. Also set pipeline to NULL state when we
	  get an error, so any other (generic) error messages on the
	  pipeline's bus are flushed - we only want to show the first
	  error message. Fixes #520370.

	  Also fix up seeking in select_track: state changs to PAUSED or
	  PLAYING state are usually async, so a seek right after will
	  usually fail.

2008-03-10  Ross Burton  <ross@burtonini.com>

	* Makefile.am:
	Clean up release rules.

2008-03-10  Ross Burton  <ross@burtonini.com>

	* configure.in:
	* NEWS:
	Version 2.22.0.

2008-03-07  Ross Burton  <ross@burtonini.com>

	* sound-juicer.spec.in:
	Updated spec file (thanks Phil Long)

2008-03-05  Ross Burton  <ross@burtonini.com>

	* src/sj-prefs.c:
	Fix crash when opening prefs dialogs (#519925, based on a patch by
	Matthew Martin).

2008-03-04  Ross Burton  <ross@burtonini.com>

	* src/sj-prefs.c:
	Fix the path chooser (#519816, thanks Matthew Martin).

2008-02-29  Ross Burton  <ross@burtonini.com>

	* src/sj-genres.c:
	Translate the genres (#519150, thanks Brian Geppert).

2008-02-27  Ross Burton  <ross@burtonini.com>

	* src/sj-main.c:
	* src/sound-juicer.h:
	* src/sj-play.c:
	Add a PAUSED track state (#518760, thanks Brian Geppert)

2008-02-27  Ross Burton  <ross@burtonini.com>

	* src/sj-main.c:
	* src/sound-juicer.h:
	Don't create custom stock items when we can use the system ones.

2008-02-26  Ross Burton  <ross@burtonini.com>

	* src/sj-main.c:
	Don't use custom icons for the playing/ripping status icons, but
	the g-i-t stock icons (#404546, Michael Monreal).
	
	* data/sj-play.png:
	* data/sj-record.png:
	* data/Makefile.am:
	Remove.

2008-02-26  Ross Burton  <ross@burtonini.com>

	* configure.in:
	* NEWS:
	Version 2.21.92.

2008-02-26  Ross Burton  <ross@burtonini.com>

	* src/bacon-volume.c:
	Remove deprecated calls (#518753, thanks Michael Terry).

2008-02-25  Ross Burton  <ross@burtonini.com>

	* src/sj-prefs.c:
	When setting the base path, if it is unset default to the XDG
	music directory, and only emit change signals if the path has
	actually changed (#471971, thanks Matthew Martin).

2008-02-21  Ross Burton  <ross@burtonini.com>

	* src/sj-main.c:
	When editing the album artist, if there is a sortable artist name
	set then unset it (#397416).

2008-02-20  Ross Burton  <ross@burtonini.com>

	* src/sj-main.c:
	Fix a memory leak.

2008-02-14  Ross Burton  <ross@burtonini.com>

	* configure.in:
	* NEWS:
	Version 2.21.91.

2008-02-14  Ross Burton  <ross@burtonini.com>

	* configure.ac:
	Check for nautilus_burn_drive_can_eject.

	* src/sj-main.c:
	Use nautilus_burn_drive_can_eject to enable/disable the Eject button.

	Thanks Dave Meikle (#430787).

2008-02-13  Ross Burton  <ross@burtonini.com>

	* src/sj-extracting.c:
	When extracting write to a temporary file and rename it when
	finished, so that cancelling when overwriting doesn't remove the
	previously ripped track (#172543, thanks Matthew Martin).

2008-02-09  Claude Paroz  <claude@2xlibre.net>

	* src/sj-about.c: (on_about_activate): Updated FSF address.

2008-01-31  Ross Burton  <ross@burtonini.com>

	* configure.in:
	* NEWS:
	Version 2.21.3.

2008-01-31  Ross Burton  <ross@burtonini.com>

	* src/sj-extracting.c:
	Change the templates for "disc number".

2008-01-29  Ross Burton  <ross@burtonini.com>

	* src/sj-main.c:
	Set a11y relations on the not-musicbrainz banner so that screen
	readers see it. (#511709, thanks Rich Burridge and Willie Walker
	for the help).

2008-01-24  Ross Burton  <ross@burtonini.com>

	* src/sj-play.c:
	Fix play/pause (thanks Bill O'Shea).

2008-01-23  Ross Burton  <ross@burtonini.com>

	* src/sj-prefs.c:
	Set the disc number so it can be seen in the preview.

2008-01-23  Ross Burton  <ross@burtonini.com>

	* src/sj-extracting.c:
	Add a missing break, fixing the file pattern generation.

2008-01-23  Ross Burton  <ross@burtonini.com>

	* src/sj-play.c:
	When stopping check for valid ranges, to avoid warnings.

2008-01-23  Ross Burton  <ross@burtonini.com>

	* src/sj-main.c:
	Check that the release date is not NULL before checking that it is
	valid.

2008-01-23  Ross Burton  <ross@burtonini.com>

	* libjuicer/sj-metadata-musicbrainz.c:
	Fix use-after-free I introduced when cleaning up the disc
	detection logic.

2008-01-22  Ross Burton  <ross@burtonini.com>

	* configure.in:
	Bump glib requirement as we need GRegex now.

2008-01-22  Ross Burton  <ross@burtonini.com>

	* libjuicer/sj-metadata-musicbrainz.c:
	Look for album titles with "(disc X)" in and extract the disc number.

	* src/sj-main.c:
	Update the UI from the disk number if it is set.

	#510439, thanks to Matthew Martin.

2008-01-21  Ross Burton  <ross@burtonini.com>

	* src/sj-extracting.c:
	Add filename fields for disc and track number (#510441, thanks
	Matthew Martin).

2008-01-21  Ross Burton  <ross@burtonini.com>

	* src/sj-play.c:
	When playback finishes, reset the UI (#413005, thanks Bill O'Shea)
	
2008-01-21  Ross Burton  <ross@burtonini.com>

	* src/sj-play.c:
	Small re-organisation.

2008-01-21  Ross Burton  <ross@burtonini.com>

	* src/sj-play.c:
	Remove more redundant logic (#509186, thanks Bill O'Shea)

2008-01-18  Ross Burton  <ross@burtonini.com>

	* data/sound-juicer.glade:
	* libjuicer/sj-structures.h:
	* libjuicer/sj-extractor.c:
	* src/sj-extracting.c:
	* src/sj-main.c:
	Add a Disc Number field (#136514, thanks Matthew Martin).

2008-01-18  Ross Burton  <ross@burtonini.com>

	* data/sound-juicer.desktop.in.in:
	Add Audio CD content/* type (#510322, thanks Matthias Clasen).

2008-01-18  Ross Burton  <ross@burtonini.com>

	* src/sj-about.c:
	Update (C) dates.

2008-01-18  Ross Burton  <ross@burtonini.com>

	* libjuicer/sj-extractor.c:
	Determine the maximum read speed from the element instead of
	assuming G_MAXINT, because the libcdio src has a range of 0-100.
	This fixes slow rips when using libcdio.

2008-01-13  Ross Burton  <ross@burtonini.com>

	* src/sj-play.c:
	Code refactoring, thanks Bill O'Shea.

2008-01-13  Ross Burton  <ross@burtonini.com>

	* configure.in:
	* NEWS:
	Version 2.21.2.

2008-01-13  Ross Burton  <ross@burtonini.com>

	* help/sound-juicer/C/figures/startup.png:
	* help/sound-juicer/C/figures/prefs.c:
	Update screenshots to reflect the latest source.

2008-01-13  Ross Burton  <ross@burtonini.com>

	* help/sound-juicer/C/sound-juicer.xml:
	Updated the documentation.  Thanks to Andreas Freund, for the
	Google Highly Open Participation contest.

2008-01-11  Ross Burton  <ross@burtonini.com>

	* src/sj-extracting.c:
	Check that filenames are not too long (#172781, thanks Ed Catmur).

2008-01-11  Ross Burton  <ross@burtonini.com>

	* data/sound-juicer.glade:
	* src/sj-main.[ch]:
	* src/sj-extracting.c:
	Add a Year entry to the main window (#325264, thanks Andrzej Polatyński)

2008-01-11  Ross Burton  <ross@burtonini.com>

	* data/sound-juicer.glade:
	Open and re-save in Glade3.

2008-01-08  Ross Burton  <ross@burtonini.com>

	* src/sj-main.c:
	Update Duplicate logic, so it checks for cdrdao and a writer
	(thanks Dave Meikle).

2008-01-06  Ross Burton  <ross@burtonini.com>

	* src/sj-main.c:
	Fix Duplicate Disc logic on startup (#361122, thanks Dave Meikle).

2008-01-05  Ross Burton  <ross@burtonini.com>

	* data/sound-juicer.glade:
	* src/sj-main.[ch]:
	Add a Duplicate Disc menu item, which calls nautilus-cd-burner.
	(#361122, thanks Dave Meikle).

2008-01-05  Ross Burton  <ross@burtonini.com>

	* src/sj-extracting.c:
	Show a better error message if we can't create the target
	directories (#354208, thanks MatzeB).

2008-01-05  Ross Burton  <ross@burtonini.com>

	* data/sound-juicer.desktop.in.in:
	Remove Sound Juicer from the desktop file (#336727).

2008-01-05  Ross Burton  <ross@burtonini.com>

	* src/sj-play.c:
	Pause the pipeline when switching track, so the first playback
	seeks to the correct track. (#507166, thank Bill O'Shea).

2008-01-05  Ross Burton  <ross@burtonini.com>

	* data/sound-juicer.glade:
	* src/sj-extracting.c:
	Hide the progress bar unless ripping (#441297, thanks Ghee Teo)

2008-01-05  Ross Burton  <ross@burtonini.com>

	* libjuicer/sj-metadata-musicbrainz.c:
	Remove always-true test.

2008-01-05  Ross Burton  <ross@burtonini.com>

	* src/sj-play.c:
	* src/sj-extracting.c:
	As tracks are played or ripped, scroll the treeview to keep them
	in view. (#430780, thanks Dave Meikle).

2008-01-02  Ross Burton  <ross@burtonini.com>

	* src/sj-main.c:
	When changing album artist, only change track artists if they
	haven't been already changed (#122367, thanks Bill O'Shea).

2008-01-01  Ross Burton  <ross@burtonini.com>

	* configure.in:
	* NEWS:
	Version 2.21.1.

2007-12-31  Jonh Wendell  <jwendell@gnome.org>

	* src/sj-genres.[ch]:
	* src/Makefile.am:
	Add sj-genre, to handle the genre entry, by saving custom genres.
	Closes #382677.

	* src/sj-main.c:
	Call setup_genre_entry() to setup the genre entry.

	* src/sj-extracting.c:
	Call save_genre() to save the custom genre when extracting.

2007-12-28  Ross Burton  <ross@burtonini.com>

	* data/sound-juicer.glade:
	Set the size of the progress bar to look better (#460650, thanks
	Stefan Oderbolz)

2007-12-24  Ross Burton  <ross@burtonini.com>

	* src/sj-extracting.c:
	Detect the target file system and if its VFAT or NTFS, strip
	characters which it can't handle.  Thanks to Carl-Anton Ingmarsson
	and GHOP (#321436).

2007-12-23  Ross Burton  <ross@burtonini.com>

	* configure.in:
	* src/sj-inhibit.[ch]:
	* src/Makefile.am:
	Add sj-inhibit, to (un)inhibit automatic suspension by
	gnome-power-manager.

	* src/sj-extracting.c:
	Call sj-inhibit when extracting.

	Closes #344947, thanks Carl-Anton Ingmarsson and GHOP.

2007-12-22  Ross Burton  <ross@burtonini.com>

	* src/sj-extracting.c:
	When finished, unset the current iterator.  This should fix the
	crasher! (#498500).

2007-12-22  Ross Burton  <ross@burtonini.com>

	* data/sound-juicer.schemas.in:
	Add "open folder when finished" schema.

	* data/sound-juicer.glade:
	Add "open folder when finished" check box.

	* src/sj-prefs.c:
	Hook up GConf option to the check box.
	
	* src/sj-main.c:
	* src/sound-juicer.h:
	Add global boolean open_finished, and hook it up to GConf.

	* src/sj-extracting.c:
	Don't show a dialog when the rip is finished, instead just eject
	or open the target folder.

	Closes #504639.  Merry Christmas Luis. :)

2007-12-22  Ross Burton  <ross@burtonini.com>

	* src/sj-main.[ch]:
	* src/sj-prefs.c:
	Make the gconf callbacks static, and fix some cast/type-punned warnings.

2007-12-21  Ross Burton  <ross@burtonini.com>

	* libjuicer/sj-extractor.c:
	Set the pipeline state to NULL before disposing (#495410).

2007-12-21  Luca Cavalli  <lcavalli@svn.gnome.org>

	* src/sj-main.c: (set_message_area_text_and_icon):
	Escape album title and artist in message area (#504862).

2007-12-20  Ross Burton  <ross@burtonini.com>

	* configure.in:
	* NEWS:
	Version 2.21.0.

2007-12-20  Ross Burton  <ross@burtonini.com>

	* src/Makefile.am:
	* src/sj-message-area.[ch]:
	* src/gedit-message-area.[ch]:
	* src/sj-main.c:
	Use pristine message area widget from gedit instead of renaming.

2007-12-19  Ross Burton  <ross@burtonini.com>

	* src/sj-main.c:
	Actually make pressing Submit do something useful.

2007-12-19  Ross Burton  <ross@burtonini.com>

	* libjuicer/sj-structures.h:
	* libjuicer/sj-metadata-musicbrainz.c:
	* libjuicer/sj-metadata-cdtext.c:
	Add a source enumeration.
	
	* src/Makefile.am:
	* src/sj-message-area.[ch]:
	Add a message area/cluebar widget, from gedit.
	
	* src/sj-main.c:
	* data/sound-juicer.glade:
	If the data is from FreeDB, show a cluebar telling the user so
	they can add the TOC to Musicbrainz.

	Thanks to Luca Cavalli for this, closing #452047.  This has a
	redraw bug, but we'll fix that.

2007-12-19  Rob Bradford  <rob@robster.org.uk>

	* src/sj-main.c: (selected_album_changed), (multiple_album_dialog)
	Make the continue button sensitive iff an album is selected. Also
	check that there is a selection before trying to retrieve the contents
	of the selected row.
	Fixes bug #500815.

2007-12-19  Ross Burton  <ross@burtonini.com>

	* libjuicer/sj-structures.h:
	* src/sj-extracting.c:
	* src/sj-prefs.c:
	Remove TrackData->iter, write better code instead.

2007-12-11  Ross Burton  <ross@burtonini.com>

	* data/sound-juicer-48.png:
	* data/Makefile.am:
	Install 48px PNG icon (thanks Andreas Nilsson, #502933).

2007-12-07  Rob Bradford  <rob@robster.org.uk>

	* data/sound-juicer.glade:
	Change "Deselect all" to Ctrl-Shift-A instead of Ctrl-D. Patch
	courtesy of Ted Gould.
	Fixes bug #501442.

2007-11-14  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* src/sj-extracting.c: (check_file_size),
	(confirm_overwrite_existing_file), (pop_and_extract),
	(on_completion_cb), (on_extract_activate):
	Added "Overwrite All" and "Skip All" buttons (in addition to the
	"Overwrite" and "Skip" buttons) when an existing file is detected.
	Fixes bug #130782.

2007-10-14  Ross Burton  <ross@burtonini.com>

	* configure.in:
	* NEWS:
	Version 2.20.1.

2007-10-08  Ross Burton  <ross@burtonini.com>

	* src/sj-extracting.c:
	Unset the temporary iterators after a rip, and check the iterator
	is valid before using it.  Maybe, just maybe, this fixes #403870.

2007-10-08  Ross Burton  <ross@burtonini.com>

	* src/sj-main.c:
	* src/sj-extracting.c:
	Only lock the drive when we're about to extract, and ensure its
	unlocked when finished. (#484535).

2007-09-27  Ross Burton  <ross@burtonini.com>

	* libjuicer/sj-util.c:
	Fix logic bug in error handling when creating directories
	(#481025, thanks William Lachance).

2007-09-19  Ross Burton  <ross@burtonini.com>

	* libjuicer/sj-extractor.c:
	Reference the initial profile to stop crashing when profiles are
	edited (#440400, Stefan Röllin)

2007-09-17  Ross Burton  <ross@burtonini.com>

	* configure.in:
	* NEWS:
	Version 2.20.0.

2007-09-03  Jaap Haitsma  <jaap@haitsma.org>

	* configure.in: bump gstreamer requirement to 0.10.5
	* src/sj-play.c: (select_track), (on_seek_release):
	Gstreamer bug #326311 was fixed. So we can remove work around. Fixes 
	bug #472650

2007-08-13  Ross Burton  <ross@burtonini.com>

	* configure.in:
	* NEWS:
	Version 2.19.3.

2007-07-09  Ross Burton  <ross@burtonini.com>

	* libjuicer/sj-metadata.h:
	Remove the useless construct-error code.

2007-07-09  Ross Burton  <ross@burtonini.com>

	* libjuicer/sj-metadata.[ch]:
	* libjuicer/sj-metadata-cdtext.c:
	* libjuicer/sj-metadata-musicbrainz.c:
	* src/sj-main.c:
	Remove the useless construct-error code.

2007-07-05  Ross Burton  <ross@burtonini.com>

	* libjuicer/sj-extractor.c:
	Be more paranoid when removing sources.

2007-06-22  Ross Burton  <ross@burtonini.com>

	* src/sj-main.c:
	Translate the program description properly (#450161, Gabor Kelemen)

2007-06-21  Ross Burton  <ross@burtonini.com>

	* configure.ac:
	Bump musicbrainz requirement, required for #393707.

2007-06-18  Ross Burton  <ross@burtonini.com>

	* configure.in:
	* NEWS:
	2.19.2.

2007-06-18  Ross Burton  <ross@burtonini.com>

	* libjuicer/sj-metadata-musicbrainz.c:
	Don't allow NULL track titles (#435964).

2007-06-18  Ross Burton  <ross@burtonini.com>

	* libjuicer/sj-metadata-musicbrainz.c:
	Correctly lookup the album artist (#393707).

2007-06-15  Ross Burton  <ross@burtonini.com>

	* src/sj-play.c:
	* src/sj-extracting.c:
	Set the label manually to force atk to update. Very sick but it
	works. (#364371, thanks Patrick Wade).

2007-06-03  Ross Burton  <ross@burtonini.com>

	* src/sound-juicer.h:
	* src/sj-main.c:
	Don't manually create an "all" debug category, GLib does that for you.

2007-05-14  Ross Burton  <ross@burtonini.com>

	* configure.ac:
	* NEWS:
	Version 2.19.1.

2007-05-14  Ross Burton  <ross@burtonini.com>

	* configure.ac:
	Remove AM_MAINTAINER_MODE.

2007-05-14  Ross Burton  <ross@burtonini.com>

	* src/sj-main.c:
	Use g_strerror() instead of converting sterror() to UTF-8, and get
	the error message before doing anything else (#438122).

2007-05-14  Ross Burton  <ross@burtonini.com>

	* libjuicer/sj-extractor.c:
	The profile fragment does need to have an element first otherwise
	it may not be a valid pipeline if it starts with caps. Add fakesrc.

2007-05-14  Ross Burton  <ross@burtonini.com>

	* libjuicer/sj-metadata-cdtext.h:
	* libjuicer/sj-metadata-musicbrainz.h:
	Fix typo in the _TYPE define which broke startup. Thanks Emmanuele
	for noticing the problem.
	
2007-05-14  Ross Burton  <ross@burtonini.com>

	* libjuicer/sj-metadata-cdtext.c:
	* libjuicer/sj-metadata-musicbrainz.c:
	Use G_DEFINE_TYPE_WITH_CODE.

2007-05-13  Ross Burton  <ross@burtonini.com>

	* libjuicer/sj-metadata-cdtext.c:
	Update to changes in SjMetadata object.

2007-05-13  Ross Burton  <ross@burtonini.com>

	* configure.ac:
	* NEWS:
	Version 2.19.0.

2007-05-13  Ross Burton  <ross@burtonini.com>

	* libjuicer/sj-metadata-musicbrainz.c:
	Attempt to repair brain-dead FreeDB encoding (#169591, thanks
	Ka-Hing Cheung).

2007-04-30  Ross Burton  <ross@burtonini.com>

	* libjuicer/sj-extractor.c:
	Refactor to be more GObject-like.

2007-04-30  Ross Burton  <ross@burtonini.com>

	* libjuicer/sj-metadata.[ch]:
	* libjuicer/sj-metadata-musicbrainz.c:
	Refactor to be more GObject-like.

2007-04-26  Christian Persch  <chpe@gnome.org>

	* libjuicer/sj-metadata-musicbrainz.c:
	(sj_metadata_musicbrainz_finalize): Chain up to parent's finalise
	handler. Bug #433137.

2007-04-11  Bastien Nocera  <hadess@hadess.net>

	* src/sj-play.c: (setup): Follow the preferred sound device as
	set in the control-center (Closes: #428677)

2007-03-26  Bastien Nocera  <hadess@hadess.net>

	reviewed by: Ross Burton <ross@burtonini.com>

	* libjuicer/sj-util.c: (xdg_user_dir_lookup),
	(sj_get_default_music_directory), (sj_add_default_dirs):
	* libjuicer/sj-util.h:
	* src/sj-main.c: (baseuri_changed_cb), (main):
	* src/sj-prefs.c: (baseuri_changed_cb), (on_edit_preferences_cb):
	* src/sound-juicer.h: Use xdg-user-dirs to set a nice default target
	for encoded files, also add the directory to the list of directories
	listed in the drop-down menu (Closes: #404542)

2007-03-26  Ross Burton  <ross@burtonini.com>

	* configure.in:
	* src/sj-play.c:
	* libjuicer/sj-extractor.[ch]:
	Use gst_element_make_from_uri for finding a CDDA source (thanks
	James Livingstone, #313089).

2007-03-26  Ross Burton  <ross@burtonini.com>

	* src/sj-extracting.c:
	Display a better message after CD extraction (thanks Adam
	Petaccia, #346067).

2007-03-26  Ross Burton  <ross@burtonini.com>

	* libjuicer/sj-metadata-musicbrainz.c:
	Detect albums from FreeDB better (thanks David Mandelberg, #353181).

2007-03-26  Ross Burton  <ross@burtonini.com>

	* data/sound-juicer.glade:
	Tweak so the path selector combo is accessible (Rich Burridge,
	#406000).

2007-03-26  Ross Burton  <ross@burtonini.com>

	* src/sj-main.c:
	Don't crash if the device exists but nautilus-burn does not know
	about it (Pascal Terjan, #389044).

2007-03-26  Ross Burton  <ross@burtonini.com>

	* data/sound-juicer.glade:
	Add accessible name to the track progress slider (thanks Patrick
	Wade, rest of #364376).

2007-03-26  Ross Burton  <ross@burtonini.com>

	* src/bacon-volume.[ch]:
	Update from libbacon.  Apart from being a good thing to do this
	also adds an accessible name (half of #364376).
	
2007-03-26  Ross Burton  <ross@burtonini.com>

	* data/sound-juicer.glade:
	Add an accessible name to the table (thanks Patrick Wade, #364372)

2007-03-15  Christian Kirbach  <Christian.Kirbach@googlemail.com>

	* src/sj-main.c:
	Initialise threading system before calling gst_init_get_option_group()
	(#418717).

2007-03-20  Ross Burton  <ross@burtonini.com>

	* src/sj-main.c:
	When displaying strerror(), convert to UTF-8 first (#419512,
	thanks Pascal Terjan).

2007-03-12  Ross Burton  <ross@burtonini.com>

	* data/sound-juicer.desktop.in.in:
	Remove "Application" category (#417362).

2007-03-04  Ross Burton  <ross@burtonini.com>

	* tests/Makefile.am:
	Link to libjuicer.la instead of the sources directly.  This fixes
	srcdir!=builddir builds, thanks Loic Minier. (#414159).

	* libjuicer/Makefile.am:
	marshal.c depends on marshal.h, and whitespace cleanup (Loic).

2007-01-29  Ross Burton  <ross@burtonini.com>

	* configure.ac:
	* NEWS:
	Version 2.16.3.

2007-01-28  Ross Burton  <ross@burtonini.com>

	* data/Makefile.am:
	Fix install target (thanks Christian Persch, #401756)

2006-12-31  Ross Burton  <ross@burtonini.com>

	* src/sj-extracting.c:
	Set the urgency hint on the extract completed dialog (#388577,
	Sebastien Bacher)

2006-12-31  Ross Burton  <ross@burtonini.com>

	* src/sj-main.c:
	Fix a compile warning.

2006-12-20  Christian Persch  <chpe@cvs.gnome.org>

	* libjuicer/.cvsignore:
	* tests/Makefile.am:
	Add cvsignore, and use variables instead of configure
	substitutions in Makefile. Bug #387906.

2006-12-08  Adam Petaccia <adam@tpetaccia.com>

	* src/sj-extracting.h:
	* src/sj-play.h:
	* src/sj-prefs.h:
	Added in missing function prototypes

	* src/sj-about.c:
	* src/sj-main.c: 
	* src/sj-prefs.c:
	Actually include respective .h files

	Fixes #383879.

2006-12-07  Adam Petaccia <adam@tpetaccia.com>
	
	* src/sj-main.c:
	* src/sj-prefs.c:
	Mark some data as const (#383488)

2006-12-05  Ross Burton  <ross@burtonini.com>

	* data/Makefile.am:
	* data/sound-juicer.1:
	Add man file (thanks Sven Arvidsson)

2006-11-23  Luca Cavalli  <lcavalli@cvs.gnome.org>

	* src/sj-main.c: (media_removed_cb):
	Make sure we are not playing when media is removed (#378250).

2006-11-19  Ross Burton  <ross@burtonini.com>

	* configure.ac:
	* NEWS:
	Version 2.16.2.

2006-11-19  Ross Burton  <ross@burtonini.com>

	* src/sj-play.c:
	Don't disable Reread when playing (#347218, Stephen Cook).

2006-10-13  Adam Petaccia <adam@tpetaccia.com>

	* src/sj-extracting.c:
	"none" shouldn't create a directory in Folder hierarchy preference
	(#374831).

2006-11-02  Ross Burton  <ross@burtonini.com>

	* src/bacon-volume.[ch]:
	Update for multi-screen and g-i-t (#369490).

2006-10-31  Ross Burton  <ross@burtonini.com>

	* data/sound-juicer.glade:
	Add a11y relationships for the duration (#364386, Robin Sonefors)

2006-10-30  Ross Burton  <ross@burtonini.com>

	* data/sound-juicer.glade:
	Fix dialog spacing (#332561, Christian Persch).

2006-10-25  Ross Burton  <ross@burtonini.com>

	* libjuicer/sj-metadata-musicbrainz.c:
	Fix dates with 0s in (#364976, Alex Lancaster).

2006-10-22  Luca Cavalli  <lcavalli@cgs.gnome.org>

	* src/sj-extracting.c: (filepath_parse_pattern):
	Replace spaces with underscores in path_patterns and file_patterns
	when "Strip special characters" is selected (#357111).

2006-10-17  Ross Burton  <ross@burtonini.com>

	* data/sound-juicer.desktop.in:
	* data/sound-juicer.desktop.in.in:
	* po/POTFILES.in:
	Rename and add version field for bug-buddy.
		
	* autogen.sh:
	* configure.in:
	* Makefile.am:
	* data/Makefile.am:
	* libjuicer/Makefile.am:
	* src/Makefile.am:
	* tests/Makefile.am:
	Port to automake 1.9.
	
	* .cvsignore:
	* help/sound-juicer/*/.cvsignore:
	* po/.cvsignore:
	Update.

	Thanks to Christian Persch (#357682).

2006-10-17  Ross Burton  <ross@burtonini.com>

	* libjuicer/sj-extractor.c:
	Reset the extract speed on every track just in case (#343544).

2006-10-16  Ross Burton  <ross@burtonini.com>

	* libjuicer/sj-extractor.c:
	Remove unused variables.

	* src/sj-main.c:
	Remove const, and initialise the authentication manager (#356578).

2006-10-13  Ross Burton  <ross@burtonini.com>

	* libjuicer/sj-extractor.c:
	Show error messages when the pipeline doesn't link (thanks
	Tim-Philipp Muller) (#361151)

2006-10-11  Ross Burton  <ross@burtonini.com>

	* data/sound-juicer-32.png:
	* data/sound-juicer-32.xcf:
	* data/Makefile.am:
	Install new 32x32 icon.

2006-10-01  Ross Burton  <ross@burtonini.com>

	* configure.in:
	* NEWS:
	Version 2.16.1.

2006-09-25  Ross Burton  <ross@burtonini.com>

	* src/sj-prefs.c:
	Listen to the strip special characters preference and update the
	label (#345761, thanks Peter)

2006-09-24  Ross Burton  <ross@burtonini.com>

	* libjuicer/sj-extractor.c:
	Add audioresample to fix the lossless(voice) default profile
	(#168508, thanks Tim-Philipp M?ller)

2006-09-04  Ross Burton  <ross@burtonini.com>

	* configure.in:
	* NEWS:
	Version 2.16.0.

2006-08-21  Kjartan Maraas  <kmaraas@gnome.org>

	* libjuicer/sj-metadata-musicbrainz.c:
	(sj_metadata_musicbrainz_instance_init):
	Don't pass username twice to mb_SetProxyCreds and
	don't leak the gconf strings.
	* src/sj-main.c: (http_proxy_setup): Plug a leak.

2006-08-20  Ross Burton  <ross@burtonini.com>

	* configure.in:
	Version 2.15.5.1.

2006-08-20  Ross Burton  <ross@burtonini.com>

	* configure.in:
	* NEWS:
	Version 2.15.5.

2006-08-20  Ross Burton  <ross@burtonini.com>

	* data/Makefile.am:
	Update the icon cache (#348972)

2006-08-15  Kjartan Maraas  <kmaraas@gnome.org>

	* configure.in: Fix intltool req.
	* po/nb.po: Update this.

2006-08-3  Arangel Angov <ufo@linux.net.mk>

	* Added sl.po and 'sl' to LINGUAS.

2006-07-24  Ross Burton  <ross@burtonini.com>

	* configure.in:
	* NEWS:
	Version 2.15.4.

2006-07-19  Ross Burton  <ross@burtonini.com>

	* libjuicer/sj-metadata-musicbrainz.c:
	Fix typo, adding date information to more albums (#348004, thanks
	Alex Lancaster).

2006-07-12  Ross Burton  <ross@burtonini.com>

	* src/sj-main.c:
	Fix typo (#347284, Chrisophe Fergeau)

2006-07-12  Ross Burton  <ross@burtonini.com>

	* libjuicer/sj-extractor.c:
	Better error handling (#338511, Tim-Philipp Muller)

2006-06-18  Ross Burton  <ross@burtonini.com>

	* data/sound-juicer.glade:
	Don't destroy the prefs window if the window manager closes it
	(#343600).

2006-06-18  Ross Burton  <ross@burtonini.com>

	* src/sj-main.c:
	Clear the genre field when re-reading the disc (#340524)

2006-06-14  Ross Burton  <ross@burtonini.com>

	* configure.in:
	* NEWS:
	Version 2.15.3.

2006-06-05  Ross Burton  <ross@burtonini.com>

	* configure.in:
	* libjuicer/sj-metadata-musicbrainz.c:
	* src/sj-main.c:
	* src/sj-play.c:
	Update for new n-c-b API (#342603, thanks William Jon McCann)

2006-05-17  Ross Burton  <ross@burtonini.com>

	* configure.in:
	* NEWS:
	Bump intltool requirement, version 2.15.2.1.

2006-05-14  Ross Burton  <ross@burtonini.com>

	* configure.in:
	* NEWS:
	Version 2.15.2.

2006-05-09  Ross Burton  <ross@burtonini.com>

	* src/sj-error.[ch]:
	* src/sj-metadata-cdtext.h:
	Remove

	* tests/Makefile.am:
	Update.

2006-05-09  Ross Burton  <ross@burtonini.com>

	* [most files]:
	Split into libjuicer, the backend code, and src, the UI.

2006-05-02  Luca Cavalli  <loopback@slackit.org>

	* src/gconf-bridge.c: (window_binding_perform_scheduled_sync),
	(window_binding_state_event_cb), (gconf_bridge_bind_window):
	Save and restore window maximized state (#340038).

2006-04-29  Ross Burton  <ross@burtonini.com>

	* configure.ac:
	* src/sound-juicer.h:
	* src/sj-main.c:
	Remove ENABLE_DEBUG and use GLib debug flags.  Based on a patch by
	Przemysław Grzegorczyk.

2006-04-29  Ross Burton  <ross@burtonini.com>

	* src/sj-main.c:
	Translate the help title (spotted by Przemysław Grzegorczyk)

2006-04-24  Ross Burton  <ross@burtonini.com>

	* configure.ac:
	* NEWS:
	Version 2.15.1.

	* Makefile.am:
	Add dev-release target that doesn't install DOAP files, and
	perform the tag too.

2006-04-23  Ross Burton  <ross@burtonini.com>

	* src/sj-extracting.c:
	In completion_cb only manipulate the track store if there is stuff
	in it (#333402)

2006-04-23  Ross Burton  <ross@burtonini.com>

	* src/sj-extracting.c:
	Fix progress bar calculation (John Thacker, #339062).

2006-04-23  Ross Burton  <ross@burtonini.com>

	* configure.in:
	Check for cdio >= 0.70 (John N. Laliberte, #339303)

2006-04-22  Claudio Saavedra  <csaavedra@alumnos.utalca.cl>

	* configure.in: Use po/LINGUAS according to new guidelines. Patch
	from Przemys©aw Grzegorczk (#339197).

2006-04-15  James Livingston  <doclivingston@gmail.com>

	reviewed by: Ross Burton  <ross@burtonini.com>

	* src/sj-extracting.c: (filepath_parse_pattern): use GString to create
	the file path, instead of a fixed buffer (#336725)

2006-04-14  Ross Burton  <ross@burtonini.com>

	* data/sound-juicer.schemas.in:
	Update pattern docs (#337638).

2006-04-14  Ross Burton  <ross@burtonini.com>

	* src/sj-about.c:
	Update about dialog (#328181, Brian Pepple)

	* configure.ac:
	Bump GTK+ dep.

2006-04-14  Ross Burton  <ross@burtonini.com>

	* data/sound-juicer.schemas.in:
	* src/sj-main.c:
	* src/sj-play.c:
	* src/sound-juicer.h:
	Save and restore playback volume (#335170, Marinus Schraal).

2006-04-14  Ross Burton  <ross@burtonini.com>

	* src/sj-main.c:
	Improve the --help output (#335016, Vincent Untz).

2006-04-14  Ross Burton  <ross@burtonini.com>

	* src/sj-prefs.c:
	Translate a string (#334509)

	=== BRANCHPOINT ===
	
2006-04-14  Ross Burton  <ross@burtonini.com>

	* configure.in:
	* NEWS:
	Version 2.14.3.

2006-04-14  Ross Burton  <ross@burtonini.com>

	* src/sj-play.c:
	Fix reversed check for invalid iterator. Fixes "Play doesn't work"
	and "only plays track 1" (#338144).

2006-04-14  Ross Burton  <ross@burtonini.com>

	* src/sj-play.c:
	Add some buffering (#336319).

2006-04-14  Ross Burton  <ross@burtonini.com>

	* src/gsttaglib.cc:
	* src/gsttaglib.h:
	Re-namespace to avoid conflicting with the real taglibmux.

2006-04-14  Ross Burton  <ross@burtonini.com>

	* src/sj-main.c:
	Ensure the window title is reset when we read a CD (#337566).

2006-04-09  Wouter Bolsterlee  <uws+gnome@xs4all.nl>

	* configure.in: Award myself the "useless use of cat" award.

2006-04-09  Ross Burton  <ross@burtonini.com>

	* src/sj-play.c:
	Add more calls to sj_main_set_title(NULL) (#337566)

2006-04-09  Wouter Bolsterlee  <uws+gnome@xs4all.nl>

	* po/LINGUAS: New file listing all supported languages.

	* configure.in: Use po/LINGUAS instead of including all languages
	directly in this file. See the wiki for more information:
	http://live.gnome.org/GnomeGoals/PoLinguas

2006-04-08  Ross Burton  <ross@burtonini.com>

	* src/sj-extractor.c:
	Remove gcc-ism (#337393, Damien Carbery)

2006-04-08  Ross Burton  <ross@burtonini.com>

	* src/gsttaglib.c:
	Possibly fix plugin initialisation (#337223)

2006-04-08  Ross Burton  <ross@burtonini.com>

	* src/sj-extractor.c:
	Don't set the encoder tags, set the duration, and cleanup error
	handling.

2006-04-08  Ross Burton  <ross@burtonini.com>

	* src/sj-metadata-musicbrainz.c:
	Don't set sortname to incorrect data (Peter Oliver)

2006-04-08  Ross Burton  <ross@burtonini.com>

	* src/sj-structures.h:
	Remove unused structure.

2006-04-03  Ross Burton  <ross@burtonini.com>

	* configure.in:
	* NEWS:
	Version 2.14.1.

2006-03-29  Ross Burton  <ross@burtonini.com>

	* src/sj-prefs.c:
	Don't have a modal preferences dialog (#314595).

2006-03-29  Ross Burton  <ross@burtonini.com>

	* src/sj-main.c:
	Don't show the main window until there is nothing else that could
	go wrong (#321859).

2006-03-29  Ross Burton  <ross@burtonini.com>

	* src/sj-prefs.c:
	Handle NULL profiles.

2006-03-29  Ross Burton  <ross@burtonini.com>

	* src/sj-main.c:
	Don't set the duration and track number as resizable (#336476,
	thanks Wouter Bolsterlee).

2006-03-28  Ross Burton  <ross@burtonini.com>

	* configure.in:
	* src/Makefile.am:
	* tests/Makefile.am:
	Don't hardcode compiler options, use GNOME_COMPILE_WARNINGS (#141587)

2006-03-28  Dennis Cranston  <dennis_cranston@yahoo.com>

	* src/bacon-volume.c:
	Volume should not display stock_volume-0 for volume > 0 (#335779).

2006-03-28  Ross Burton  <ross@burtonini.com>

	* src/sj-extracting.c:
	Handle sortnames being NULL.

2006-03-28  Ross Burton  <ross@burtonini.com>

	* src/sj-main.c:
	Don't leak the GnomeProgram (#335749)

2006-03-24  Ross Burton  <ross@burtonini.com>

	* help/sound-juicer/C/sound-juicer.xml:
	Tell people use to id3mux in the MP3 pipeline.
	
	* configure.in:
	Check for Taglib.

	* src/gsttaglib.cc:
	* src/gsttaglib.h:
	Add internal copy of GStreamer's taglib-based tagger.  Will remove
	when this is in gst-plugins-good.

	* src/sj-main.c:
	If there is no id3mux element available, register our copy.

2006-03-23  Christian Neumair  <chris@gnome-de.org>

	* src/sj-main.c:
	Ensure that play/pause button size stays constant.

	* src/sj-play.c:
	Don't process state change notifications from pipeline elements.
	Remove pending button_change_id/cb_set_time timeouts when registering
	them.
	Work around GStreamer bug (#326311) when seeking or changing song.
	This won't be neccessary when depending on GStreamer 0.10.5.

	Fixes #326311.

2006-03-23  Ross Burton  <ross@burtonini.com>

	* src/sj-main.c:
	Handle all paranoia modes (#335593, thanks Marinus Schraal).

2006-03-20  Vladimer Sichinava  <vlsichinava@gmail.com>

	* configure.in: Added "ka" (Georgian) to ALL_LINGUAS

2006-03-19  Ross Burton  <ross@burtonini.com>

	* READNE:
	Update.

2006-03-19  Ross Burton  <ross@burtonini.com>

	* src/sj-main.c:
	* src/sj-play.c:
	Check all iterator fetching to avoid compiler warnings.

2006-03-19  Ross Burton  <ross@burtonini.com>

	* data/sound-juicer.glade:
	* src/sj-profile-chooser.c:
	* src/sj-profile-chooser.h:
	* src/Makefile.am:
	Remove SjProfileChooser as the chooser in gnome-media now shows
	MIME type.

2006-03-19  Ross Burton  <ross@burtonini.com>

	* src/sj-main:
	Fix program name not being translated (#335122, thanks chpe)

2006-03-19  Ross Burton  <ross@burtonini.com>

	* src/sj-metadata-musicbrainz.c:
	Change CD lookup query to allow MusicBrainz to proxy requests to
	FreeDB (#334823)

2006-03-19  Ross Burton  <ross@burtonini.com>

	* MAINTAINERS:
	Add this file (#335020).

2006-03-14  Ross Burton  <ross@burtonini.com>

	* data/Makefile.am:
	Install the icons mode 0644.

2006-03-14  Ross Burton  <ross@burtonini.com>

	* Makefile.am:
	Depend on doap.rdf when releasing.

2006-03-12  Ross Burton  <ross@burtonini.com>

	* configure.in:
	* NEWS:
	Version 2.14.0!

2006-03-10  Ross Burton  <ross@burtonini.com>

	* src/sj-metadata-musicbrainz.c:
	Fix multiple album searches, again. (John Thacker, #318044)

2006-03-04  Ross Burton  <ross@burtonini.com>

	* configure.in:
	Fix thinko (thanks Elijah Newren)

2006-03-03  Ross Burton  <ross@burtonini.com>

	* src/sj-extractor.c:
	Return an error when gst_element_link_many fails.

2006-03-03  Ross Burton  <ross@burtonini.com>

	* configure.in:
	Bump deps on nautilus-cd-burner and gstreamer

	* src/sj-extractor.c:
	Remove copied code now that it's in GStreamer itself.

2006-03-03  Ross Burton  <ross@burtonini.com>

	* src/sj-extractor.c:
	Centralize cleanup logic to fix various crashes and weird display.

2006-03-03  Ross Burton  <ross@burtonini.com>

	* src/sj-extractor.c:
	Set read speed to MAXINT to read as fast as possible.

2006-03-02  Jérémy Ar Floc'h <jérémy.lefloch@gmail.com>

	* configure.in:
	* po/br.po:
	Added Breton translation, by Jérémy Ar Floc'h.

2006-03-01  Ross Burton  <ross@burtonini.com>

	* src/sj-prefs.c:
	Don't translate the same track data.

2006-02-28  Ross Burton  <ross@burtonini.com>

	* configure.in:
	* NEWS:
	Version 2.13.6.

2006-02-28  Ross Burton  <ross@burtonini.com>

	* data/Makefile.am:
	Fix dist.

2006-02-28  Ross Burton  <ross@burtonini.com>

	* src/sj-prefs.c:
	Change sample data, show extension in sample label, and update it
	more often.

2006-02-28  Ross Burton  <ross@burtonini.com>

	* src/sj-main.c:
	Use icon themed icon for window icons.

2006-02-28  Ross Burton  <ross@burtonini.com>

	* src/sj-extractor.c:
	Notify on property changes.

2006-02-28  Ross Burton  <ross@burtonini.com>

	* src/sj-about.c:
	Remove hard-coded window icon.

2006-02-26  Ross Burton  <ross@burtonini.com>

	* src/sj-extracting.c:
	Fix indentation.

2006-02-26  Ross Burton  <ross@burtonini.com>

	* src/sj-metadata-musicbrainz.c:
	Don't cache the metadata, it breaks too much.

2006-02-22  Ross Burton  <ross@burtonini.com>

	* data/Makefile.am:
	* data/sound-juicer-24.png:
	Add 24x24 icon.

2006-02-22  Ross Burton  <ross@burtonini.com>

	* data/sound-juicer.svg:
	Updated artwork.

2006-02-22  Ross Burton  <ross@burtonini.com>

	* configure.in:
	Require libgnomeui 2.13 (#332134)

2006-02-15  Ross Burton  <ross@burtonini.com>

	* data/orange-slice.png:
	* data/sound-juicer.png:
	Remove.

	* data/sound-juicer-16.png:
	* data/sound-juicer-22.png:
	* data/sound-juicer.svg:
	* data/Makefile.am:
	New artwork by Lapo Calamandrei <l.calamandrei@neri.it>.

	* data/sound-juicer.desktop.in:
	* src/sj-about.c:
	Update for new artwork.

2006-02-15  Ross Burton  <ross@burtonini.com>

	* data/sound-juicer.glade:
	Unmark some strings as translatable.

2006-02-15  Ross Burton  <ross@burtonini.com>

	* src/sound-juicer.h:
	* src/sj-extractor.c:
	* src/sj-play.c:
	Pull out the cd source name as define.

2006-02-15  Ross Burton  <ross@burtonini.com>

	* data/sound-juicer.glade:
	* src/sj-prefs.c:
	Re-arrange the Preferences dialog, add ellipsis as required,
	change a few strings and add mnemonics to the main window.  Yay UI
	Review!

2006-02-15  Ross Burton  <ross@burtonini.com>

	* src/sj-extracting.c (update_speed_progress):
	Use the unicode multiply symbol rather than an x.

2006-02-12  Ross Burton  <ross@burtonini.com>

	* Makefile.am:
	Add magic to do a release.

2006-02-12  Ross Burton  <ross@burtonini.com>

	* configure.in:
	* NEWS:
	Version 2.13.5.

2006-02-07  Ross Burton  <ross@burtonini.com>

	* src/sj-extractor.c:
	Fix build when Musicbrainz tags are present.

2006-02-07  Ross Burton  <ross@burtonini.com>

	* configure.in:
	* src/sj-extractor.c:
	I was a muppet and didn't have the right packages installed.  Far
	better solution to MusicBrainz tagging.

2006-02-07  Ross Burton  <ross@burtonini.com>

	* configure.in:
	* src/sj-extractor.c:
	Detect a MusicBrainz-tag supporting GStreamer at build time.

2006-02-07  Ross Burton  <ross@burtonini.com>

	* src/sj-main.c:
	Disable Select All when there is no disc (#329389).

2006-02-07  Ross Burton  <ross@burtonini.com>

	* src/sj-main.c:
	Ignore unknown options, it produces an ugly error (#330023).

2006-02-07  Ross Burton  <ross@burtonini.com>

	* src/sj-extractor.c:
	Fix build with GStreamer CVS by renaming functions I stole
	(#330285).

2006-01-30  Ross Burton  <ross@burtonini.com>

	* src/sj-main.c:
	Use GnomeProgram again, it's needed for gnome_help_display() to
	work (#329256)

2006-01-30  Ryan Lortie  <desrt@desrt.ca>

	* src/sj-prefs.c:
	Remove unrequired use of 'strip' variable (#328918).

2006-01-30  Ross Burton  <ross@burtonini.com>

	* configure.in:
	* NEWS:
	Version 2.13.4.

2006-01-21  Ross Burton  <ross@burtonini.com>

	* src/bacon-message-connection.c:
	* src/bacon-message-connection.h:
	Update (#327979).

2006-01-21  Ross Burton  <ross@burtonini.com>

	* data/sound-juicer.desktop.in:
	Add GTK category (#328024).

2006-01-19  Ross Burton  <ross@burtonini.com>

	* src/sj-main.c:
	Unlock the drive before ejecting.

2006-01-19  Ross Burton  <ross@burtonini.com>

	* src/sj-extractor.c:
	Rebuild the pipeline after every track for now, to fix a crash.

2006-01-19  Ross Burton  <ross@burtonini.com>

	* configure.in:
	* NEWS:
	Version 2.13.3.

2006-01-19  Ross Burton  <ross@burtonini.com>

	* configure.in:
	* data/sound-juicer.schemas.in:
	* src/sj-extractor.c:
	* src/sj-main.c:
	* src/sj-play,c:
	Merge GStreamer 0.10 port from the branch.

2006-01-16  Ross Burton  <ross@burtonini.com>

	* configure.in:
	* NEWS:
	Version 2.13.2.

2006-01-15  Ross Burton  <ross@burtonini.com>

	* src/sj-extracting.c:
	* src/sj-extractor.c:
	* src/sj-metadata-musicbrainz.c:
	* src/sj-prefs.c:
	* src/sj-structures.c:
	* src/sj-structures.h:
	Add support for the MusicBrainz sortname attribute (Peter Oliver,
	#313354).

2006-01-10  Ross Burton  <ross@burtonini.com>

	* src/sj-main.c:
	Protect against a NULL drive object (Marco Barisione, #326346).

2006-01-08  Ross Burton  <ross@burtonini.com>

	* src/sj-metadata-cdtext.c:
	Calculate the track durations.

2006-01-08  Ross Burton  <ross@burtonini.com>

	* data/sound-juicer.glade:
	Fix weird whitespace.

2006-01-08  Ross Burton  <ross@burtonini.com>

	* src/sj-metadata-musicbrainz.c:
	Cache the metadata.  This doesn't persist user changes or verify
	for updates, but it's a start.

2006-01-07  Ross Burton  <ross@burtonini.com>

	* src/Makefile.am:
	* src/gconf-bridge.[ch]:
	Add GConf bridge, copied from the libgconf-bridge module.

	* data/sound-juicer.glade:
	* src/sj-main.c:
	* src/sj-prefs.c:
	* src/sound-juicer.h:
	Use gconf-bridge to sync some properties, and the window size.

2006-01-07  Ross Burton  <ross@burtonini.com>

	* src/sj-extractor.c:
	Protect against NULL profiles.

2006-01-07  Ross Burton  <ross@burtonini.com>

	* configure.in:
	* src/sj-metadata-musicbrainz.c:
	Configure the MusicBrainz proxy based on the gnome-vfs keys
	(#321008).

2006-01-07  Ross Burton  <ross@burtonini.com>

	* data/sound-juicer.glade:
	* src/sj-main.c:
	* src/sj-metadata.c:
	* src/sj-metadata.h:
	* src/sj-metadata-musicbrainz.c:
	Add a Submit button to open the relevant MusicBrainz page (James
	Hensbridge, #112889).

2006-01-07  Chao-Hsiung Liao  <j_h_liau@yahoo.com.tw>

	* configure.in: Added "zh_HK" to ALL_LINGUAS.

2006-01-06  Abel Cheung  <maddog@linuxhall.org>

	* configure.in: Added "vi" to ALL_LINGUAS.

2006-01-05  Ross Burton  <ross@burtonini.com>

	* src/sj-extracting.c:
	Remove leading periods when generating filenames (closes #144280).

2005-12-19  Bastien Nocera  <hadess@hadess.net>

	* configure.in: Fix warnings with libglade in newer versions of glib
	(missing exports) (Closes: #324385)

2005-11-23  Ross Burton  <ross@burtonini.com>

	* data/sound-juicer.glade:
	Almost-match Totem's Next/Previous keybindings, to stop stealing
	C-v from paste (#321328).

2005-11-23  Ross Burton  <ross@burtonini.com>

	* data/sound-juicer.glade:
	Make the Prefs dialog non-resizable, and name the labels.

	* src/sj-prefs.c:
	Add the labels to a size group (#316965)

2005-11-23  Ross Burton  <ross@burtonini.com>

	* src/sj-main.c:
	Display the extractor failed error dialog before showing the main
	window, and set a default window icon (#321859).

2005-11-23  Ross Burton  <ross@burtonini.com>

	* src/sj-metadata-cdtext.c:
	Remove the CDIO API version check (#319793)

2005-11-23  Ross Burton  <ross@burtonini.com>

	* src/sj-metadata-musicbrainz.c:
	Handle track data imported from FreeDB (#155425, Bastien Nocera)

2005-11-23  Ross Burton  <ross@burtonini.com>

	* data/sound-juicer.desktop.in:
	Add generic name (#322161, Matthias Clasen)

2005-11-03  Ross Burton  <ross@burtonini.com>

	* src/sj-extracting.c:
	Handle G_FILENAME_ENCODING correctly, thanks Colin Leroy (#320604)

2005-10-29  Ross Burton  <ross@burtonini.com>

	* src/sj-metadata-musicbrainz.c:
	Fix handling of multiple albums (David Mandelberg, closes #318044)

2005-10-21  Ross Burton  <ross@burtonini.com>

	* configure.in:
	* NEWS:
	Version 2.13.1.

2005-10-20  William Jon McCann  <mccann@jhu.edu>

	* src/sj-main.c (set_drive_from_device):
	Lock the drive while SJ is running.  Fixes #319249.

	* .cvsignore: Add files.

2005-10-19  William Jon McCann  <mccann@jhu.edu>

	* src/sj-main.c (media_added_cb, media_removed_cb)
	(set_drive_from_device, set_device, device_changed_cb, main):
	* configure.in:
	Use nautilus-cd-burner 2.13 monitoring.  Fixes #317864.

2005-10-20  Ross Burton  <ross@burtonini.com>

	* src/sj-main.c:
	Collect an return value when getting media type, and check for
	errors.

2005-10-11  Ross Burton  <ross@burtonini.com>

	* src/sj-prefs.c:
	Protect against FileChooserButton returning a NULL path (#317999)

2005-10-07  Ross Burton  <ross@burtonini.com>

	* configure.in:
	Build without libcdio (thanks William Jon McCann).

2005-10-07  Ross Burton  <ross@burtonini.com>

	* src/sj-play.c:
	Protect against invalid iterators.

2005-10-07  Ross Burton  <ross@burtonini.com>

	* configure.in:
	* src/sound-juicer.h:
	* src/sj-main.c:
	Add --enable-debug and start using it.

2005-10-03  Ross Burton  <ross@burtonini.com>

	* configure.in:
	* src/Makefile.am:
	* src/sj-metadata-cdtext.c:
	* src/sj-metadata-cdtext.h:
	Add start of CD-TEXT metadata backend.

2005-10-03  Ross Burton  <ross@burtonini.com>

	* src/sj-main.c:
	Add Funk to the genre list, to please Shaun (closes #314851).

2005-10-03  Ross Burton  <ross@burtonini.com>

	* data/sound-juicer.desktop.in:
	Use Extractor rather than Ripper (closes #315283).

2005-10-01  Runa Bhattacharjee <runa@bengalinux.org>

	* configure.in: Added "bn" (Bengali) to ALL_LINGUAS.

2005-09-19  Ross Burton  <ross@burtonini.com>

	* configure.in:
	* NEWS:
	Version 2.12.2.

2005-09-19  Ross Burton  <ross@burtonini.com>

	* src/sj-main.c:
	Fix the totally broken --device

2005-09-18  Ross Burton  <ross@burtonini.com>

	* configure.in:
	* NEWS:
	Version 2.12.1.

2005-09-10  Ross Burton  <ross@burtonini.com>

	* src/sj-main.c:
	Translate the Extract stock item.

2005-09-10  Ross Burton  <ross@burtonini.com>

	* src/sj-main.c:
	Add a --device option for gnome-volume-manager.

2005-09-06  Ross Burton  <ross@burtonini.com>

	* src/sj-play.c:
	Add a cast.

2005-09-06  Ross Burton  <ross@burtonini.com>

	* src/sj-extractor.c:
	Set the cdparanoia read speed preference on every rip, just to
	make sure.

2005-09-06  Ross Burton  <ross@burtonini.com>

	* help/sound-juicer/C/sound-juicer.xml:
	Fix typo.

2005-09-05  Ross Burton  <ross@burtonini.com>

	* README:
	Updated.

2005-09-05  Ross Burton  <ross@burtonini.com>

	* Makefile.am:
	* doap.rdf.in:
	Generate a DOAP file at dist-time and ship it.

2005-09-05  Ross Burton  <ross@burtonini.com>

	* configure.in:
	* NEWS:
	Version 2.12!

2005-09-04  Roozbeh Pournader  <roozbeh@farsiweb.info>

	* configure.in: Added "fa" (Persian) to ALL_LINGUAS.

2005-08-25  Ross Burton  <ross@burtonini.com>

	* data/sound-juicer.glade:
	Bind F1 to Help.

2005-08-23  Ross Burton  <ross@burtonini.com>

	* configure.in:
	* NEWS:
	Version 2.11.92.

2005-08-18  Ross Burton  <ross@burtonini.com>

	* help/sound-juicer/C/sound-juicer.xml:
	Move the namespace declarations to their usage so libxml strips
	them, thus letting distcheck pass.

2005-08-12  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* src/bacon-volume.c: (bacon_volume_scale_new):
	  Fix scrolling over widget (ported from Totem).

2005-08-12  Ross Burton  <ross@burtonini.com>

	* src/sj-play.[ch]:
	New function to reset the interface to Stop mode without actually
	changing the pipeline.

	* src/sj-main.c:
	Call function when the disk is ejected.

	This is required as cdparanoia doesn't tell us when the drive is
	ejected, and stopping the pipeline causes a deadlock. Very sad.
	
2005-08-10  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* src/bacon-volume.c: (bacon_volume_button_new),
	(bacon_volume_scale_value_changed):
	* src/bacon-volume.h:
	* src/sj-main.c: (sj_make_volume_button):
	  Update for varying icon sizes (needed in Rhythmbox); doesn't
	  actually change anything in practice.

2005-08-09  Ross Burton  <ross@burtonini.com>

	* autogen.sh:
	Use automake 1.9 like all the cool kids.

	* Makefile.am:
	Don't dist m4/.

2005-08-09  Ross Burton  <ross@burtonini.com>

	* configure.in:
	* NEWS:
	Versoin 2.11.91.

2005-08-08  Ross Burton  <ross@burtonini.com>

	* configure.in:
	Depend on gnome-media 2.11.91 for the Profiles dialog fix.

2005-08-07  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* src/bacon-volume.c: (bacon_volume_button_press):
	  Fix small flickering when popping up window, or at least fix it
	  so that you don't actually notice (#312165).

2005-08-07  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* src/sj-play.c: (idle_state):
	  When stopped, remove the time / total message from the statusbar.

2005-08-03  Madhan Raj M  <madhanrm@gnome.org>

	* src/sj-play.c:
	Disable Reread while playing.

2005-08-03  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* src/Makefile.am:
	* src/bacon-volume.c: (bacon_volume_button_get_type),
	(bacon_volume_button_class_init), (bacon_volume_button_init),
	(bacon_volume_button_dispose), (bacon_volume_button_new),
	(bacon_volume_button_get_value), (bacon_volume_button_set_value),
	(bacon_volume_button_scroll), (bacon_volume_button_press),
	(cb_button_timeout), (cb_button_press), (cb_button_release),
	(bacon_volume_release_grab), (cb_dock_press),
	(bacon_volume_scale_get_type), (bacon_volume_scale_class_init),
	(bacon_volume_scale_new), (bacon_volume_scale_press),
	(bacon_volume_scale_release), (bacon_volume_scale_value_changed):
	* src/bacon-volume.h:
	* src/sj-main.c: (sj_make_volume_button):
	* src/sj-play.c: (on_volume_changed):
	* src/sj-volume.c:
	* src/sj-volume.h:
	  SjVolumeButton -> BaconVolumeButton and merge with latest Totem
	  fixes.

2005-08-03  Ross Burton  <ross@burtonini.com>

	* src/sj-play:
	Enable the next/prev buttons in a better place.

2005-08-03  Ross Burton  <ross@burtonini.com>

	* data/sound-juicer.glade:
	* src/sj-main.c:
	* src/sj-play.[ch]:
	Disable Next and Prev when SJ is not playing (based on a patch by
	Raj M Madhan).

2005-08-01  Ross Burton  <ross@burtonini.com>

	* data/sound-juicer.glade:
	* src/sj-play.c:
	Add Previous/Next track menu items.

2005-08-01  Madhan Raj M  <madhanrm@gnome.org>

	* data/sound-juicer.glade:
	* src/sj-play.c:
	Adding on_tracklist_row_selected() to play the
	selected track. Fixes #309268.

2005-07-29  Ross Burton  <ross@burtonini.com>

	* src/sj-main.c:
	Remove the title from the check box column.

2005-07-28  Shaun McCance  <shaunm@gnome.org>

	* help/sound-juicer/C/sound-juicer.xml:
	- Added gnome-doc-status processing instruction

2005-07-28  Ross Burton  <ross@burtonini.com>

	* help/sound-juicer/Makefile.am:
	* help/sound-juicer/C/sound-juicer.xml:
	Remove useless comments and use XInclude over entities.

2005-07-27  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* src/sj-play.c: (on_play_activate):
	  Fix pause/play behaviour.

2005-07-27  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* src/sj-play.c: (select_track), (cb_hop_track), (setup),
	(on_play_activate):
	  Respect checkboxes for playback, also (#309259).

2005-07-27  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* src/sj-play.c: (cb_hop_track), (cb_change_button), (idle_state),
	(cb_state):
	  Let change state be executed in idle handler, to prevent theoretical
	  threading issues that make GStreamer feared and famous. Also add a
	  timeout handler before we reset the button label, so it does not
	  switch quickly between PAUSED and PLAYING on track-switch, but
	  stays in play-mode.

2005-07-27  Ross Burton  <ross@burtonini.com>

	* data/sound-juicer.schemas.in:
	Fix grammatical mistake.

2005-07-25  Ross Burton  <ross@burtonini.com>

	* configure.in:
	* NEWS:
	Version 2.11.90.

2005-07-25  Ross Burton  <ross@burtonini.com>

	* .cvsignore:
	* Makefile.am:
	* autogen.sh:
	* configure.in:
	* help/sound-juicer/*:
	* m4/.cvsignore
	Ported documentation to gnome-doc-utils.

	* omf.make:
	* xmldocs.make:
	Removed.

2005-07-24  Ross Burton  <ross@burtonini.com>

	* src/sj-metadata-musicbrainz.c:
	Fix typo.

2005-07-14  Ross Burton  <ross@burtonini.com>

	* data/sj-record.png:
	New icon (Luca Cavalli)

2005-07-14  Abduxukur Abdurixit <abdurixit@gmail.com>

	* configure.in: Added "ug" to ALL_LINGUAS.

2005-07-14  Ross Burton  <ross@burtonini.com>

	* configure.in:
	* NEWS:
	Version 2.11.4.

2005-07-14  Ross Burton  <ross@burtonini.com>

	* configure.in:
	Check for gnomevfssink, not filesink.

2005-07-14  Ross Burton  <ross@burtonini.com>

	* src/sj-extractor.c:
	Thanks to Thomas Vander Stichele for telling me how to make the
	buffers larger, and to check the link() call result.

2005-07-14  Ross Burton  <ross@burtonini.com>

	* src/sj-extractor.c:
	Use threads, speeding up ripping.

2005-07-14 Madhan Raj M  <madhanrm@cvs.gnome.org>

	* src/sj-main.c:
	* src/sj-extracting.c:
	* src/sj-play.h:
	* src/sound-juicer.h:
	* data/sound-juicer.glade:
	Bring the progress bar to the main UI.

2005-07-13  Ross Burton  <ross@burtonini.com>

	* src/sound-juicer.h:
	* src/sj-main.c:
	Add a stock item for the Extract button, and re-name the state
	stock icons.

	* data/sound-juicer.glade:
	Use the extract stock item.

2005-07-13  Ross Burton  <ross@burtonini.com>

	* data/sj-play.png:
	* data/sj-record.png:
	* data/Makefile.am:
	New icons.  The play icon is taken from Totem, and the record icon
	is by Luca Cavalli (and should probably be replaced to match the
	play icon).

	* src/sj-main.c:
	Register and use Sound-Juicer specific stock items for the
	treeview.

	* src/sound-juicer.h:
	Name the stock items.

2005-07-13  Ross Burton  <ross@burtonini.com>

	* src/Makefile.am:
	* src/sj-volume.[ch]:
	Add volume control widget (Ronald Bultje)

	* data/sound-juicer.glade:
	* src/sj-main.c:
	Add volume widget to main window (Ronald)

	* src/sj-play.c:
	Respect the volume control (Ronald) and move some glade calls to
	static variables (me).

2005-07-07  Ross Burton  <ross@burtonini.com>

	* data/sound-juicer.glade:
	Remove the explicit file system backend, it's not needed.

2005-07-07  Ross Burton  <ross@burtonini.com>

	* data/sound-juicer.glade:
	Use Disc instead of CD in the menu.

2005-07-04  Ross Burton  <ross@burtonini.com>

	* src/sj-main.c:
	Put the icon in the Track column for now, and force the icon
	size (inspired by a patch from Luca Cavalli).

2005-07-03 Madhan Raj M  <madhanrm@cvs.gnome.org>

	* src/sj-extracting.c: (cleanup), (on_extract_activate)
	Disable play button while extracting.

2005-07-01  Ross Burton  <ross@burtonini.com>

	* autogen.sh:
	Use gnome-common (Ali Akcaagac).

2005-07-01    Madhan Raj M  <madhanrm@cvs.gnome.org>

	* src/sj-extractor.c (sj_extractor_cancel_extract):
	Set the state to NULL when extraction is cancelled.

2005-07-01  Ross Burton  <ross@burtonini.com>

	* configure.in:
	* NEWS:
	Version 2.11.3.

2005-07-01  Ross Burton  <ross@burtonini.com>

	* src/sj-extractor.c:
	Add just_say_yes() so that gnomevfssink will always overwrite
	files.  At the moment we do this check before starting the
	pipeline so this is safe.

	* src/sj-extracting.c:
	Stop trying to manipulate a non-existant button.

	* src/sj-play.c:
	Check the pipeline is set before stopping it.

	* src/sj-main.c:
	Set the play menu item to sensitive instead of insensitive when we
	have a CD.

2005-07-01  Ross Burton  <ross@burtonini.com>

	* data/sound-juicer.glade:
	* src/Makefile.am:
	* src/sj-extracting.c:
	* src/sj-main.c:
	* src/sj-play.[ch]:
	* src/sound-juicer.h:
	Merge the CD player branch.  Thanks to Ronald Bultje for his
	excellent work on this (#308755).

2005-06-30  Ross Burton  <ross@burtonini.com>

	* data/sound-juicer.glade:
	Change the genre combo to an entry.

	* src/sj-extracting.c:
	Update for combo->entry.

	* src/sj-extractor.c:
	Set the MusicBrainz tags last in case GStreamer doesn't support
	them, and set the genre from the album genre string.

	* src/sj-main.c:
	Set an entry completion based on a typical set of genres.

	* src/sj-structures.[ch]:
	Move the track-level genre enum to an album-level genre string.

	* src/sj-metadata-musicbrainz.c:
	Update for genre changes.

	* src/Makefile.am:
	* src/sj-genres.[ch]:
	Removed SjGenre, no longer needed.

2005-06-27  Ross Burton  <ross@burtonini.com>

	* acinclude.m4:
	Removed, GStreamer ships the element check macro now.

2005-06-25  Marcel Telka  <marcel@telka.sk>

	* configure.in (ALL_LINGUAS): Added sk.

2005-06-22  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* configure.in:
	  Add AC_PROG_LIBTOOL, thus now using libtool and thus allowing to
	  build against uninstalled dependencies.

2005-06-22  Ross Burton  <ross@burtonini.com>

	* src/sj-extracting.c:
	Also fix the folder creation check.

2005-06-22  Ross Burton  <ross@burtonini.com>

	* src/sj-extracting.c:
	Fix the overwrite check.

2005-06-22  Ross Burton  <ross@burtonini.com>

	* configure.in:
	* NEWS:
	Version 2.11.2.

2005-06-22  Ross Burton  <ross@burtonini.com>

	The Great Gnome-Vfs Port.

	* data/sound-juicer.glade:
	Manually add the file system backend property to the file selector.

	* data/sound-juicer.schemas.in:
	Add base_uri and deprecate base_path.
	
	* src/sj-extractor.[ch]:
	Use gnomevfssink instead of filesink.

	* src/sj-extracting.c:
	* src/sj-main.c:
	* src/sj-prefs.c:
	* src/sound-juicer.h:
	base_path is dead, long live base_uri.

	* src/sj-util.[ch]:
	Replace mkdir_recursive with make_directory_with_parents_for_uri
	from gnome-vfs.

2005-06-22  Ross Burton  <ross@burtonini.com>

	* data/sound-juicer.glade:
	Add hidden for now Edit Profiles button.

	* src/sj-prefs.c:
	Connect to button, display editor. Crashes, which is why the
	button is hidden.

2005-05-17  Jayaradha  <njayaradha@yahoo.com>

	* ta.po: Added tamil

2005-06-12  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* configure.in: Added 'gl' to ALL_LINGUAS.

2005-06-12  Ross Burton  <ross@burtonini.com>

	* src/sj-metadata-musicbrainz.c:
	Write MusicBrainz identifiers as IDs not URLs.

2005-06-09  Ross Burton  <ross@burtonini.com>

	* src/sj-structures.c:
	The date element is optional, so check it is set before freeing.

2005-06-08  Ross Burton  <ross@burtonini.com>

	* src/sj-main.c:
	Check for the glade file before opening it (Bastien Nocera).

2005-06-08  Ross Burton  <ross@burtonini.com>

	* configure.in:
	* NEWS:
	Version 2.11.1.

2005-06-05  Ross Burton  <ross@burtonini.com>

	* src/Makefile.am:
	* src/bacon-message-connection.[ch]:
	* src/update-from-bacon.sh:
	* src/sj-main.c:
	Pull in BaconMessageConnection and use it to re-use existing
	instances (Bastien Nocera)

2005-06-05  Ross Burton  <ross@burtonini.com>

	* src/sj-main.c:
	Check for a Glade file in the build tree first (patch from Bastien
	Nocera).

2005-06-02  Ross Burton  <ross@burtonini.com>

	* src/sj-extracting.c:
	Fiddle the path santization a little.

2005-06-02  Ross Burton  <ross@burtonini.com>

	* configure.in:
	Depend on MusicBrainz 2.1.0 for the Date queries.

2005-06-02  Ross Burton  <ross@burtonini.com>

	* src/sj-utils.[ch]:
	Hack away large chunks of this and use nautilus-burn 2.11.1.

	* src/sj-extracting.c:
	* src/sk-main.c:
	Use nautilus-burn rather than sj-util.

2005-06-02  Ross Burton  <ross@burtonini.com>

	* src/sj-structures.[ch]:
	Add a GDate to the album, for the release date.

	* src/sj-metadata-musicbrainz.c:
	Get the release date from Musicbrainz.

	* src/sj-extractor.c:
	Write the release date.

	* src/sj-prefs.c:
	Add NULL date to sample album.

2005-05-21  Dafydd Harries  <daf@muse.19inch.net>

	* configure.in:
	Add "cy" (Welsh) to ALL_LINGUAS.

2005-05-20  Ross Burton  <ross@burtonini.com>

	* src/sj-structures.[ch]:
	* src/sj-metadata-musicbrainz.c:
	* src/sj-extractor.c:
	* src/sj-prefs.c:
	Add track artist ID.

2005-05-20  Ross Burton  <ross@burtonini.com>

	* configure.in:
	Depend on gstreamer-plugins-dev 0.8.8 and nautilus-burn 2.11.1

	* src/sj-structures.[ch]:
	Added fields for the MusicBrainz identifiers.

	* src/sj-metadata-musicbrainz.c:
	Set the MusicBrainz identifiers.

	* src/sj-extractor.c:
	Write the MusicBrainz identifiers.

	* src/sj-prefs.c:
	Update for new structures.

2005-05-20  Ross Burton  <ross@burtonini.com>

	* src/sj-structures.h:
	* src/sj-prefs.c:
	Add GtkTreeIter element to the track data.

	* src/sj-extracting.c:
	Set the iter for each track we are extracting, and uncheck each
	row when completed.

2005-05-20  Ross Burton  <ross@burtonini.com>

	* src/sj-util.c:
	Slightly better drive detection logic.

2005-05-19  Ross Burton  <ross@burtonini.com>

	* src/dummy.cpp:
	* src/Makefile.am:
	Add dummy C++ file to force g++. Closes #303899.

2005-05-19  Ross Burton  <ross@burtonini.com>

	* src/sj-util.c:
	If we can't open the device, pretend its an audio CD and let
	something else moan.  All of this code needs to be replaced.
	
2005-05-19  Ross Burton  <ross@burtonini.com>

	* src/sj-extracting.c:
	Don't free the GError in the signal handler, this causes a crash
	(closes #126753).

2005-05-19  Ross Burton  <ross@burtonini.com>

	* data/sound-juicer.glade:
	Focus the list view.

2005-05-19  Ross Burton  <ross@burtonini.com>

	* configure.in: Depend on nautilus-burn 2.11.
	
	* src/sound-juicer.h:
	* src/sj-util.[ch]:
	* src/sj-main.c:
	* src/sj-extracting.c:
	Use NautilusBurnDrive instead of device paths.

2005-04-04  Ross Burton  <ross@burtonini.com>

	* src/sj-prefs.c:
	Remove useless tests for entry->value->type which may crash if
	entry is NULL.

2005-04-04  Ross Burton  <ross@burtonini.com>

	* src/sj-main.c:
	Initialise the audio profiles before creating an SjExtractor.

2005-04-04  Ross Burton  <ross@burtonini.com>

	* data/sound-juicer.glade:
	Use Stop instead of Cancel in the progress dialog.

2005-03-31  Steve Murphy  <murf@e-tools.com>

	* configure.in: Added "rw" to ALL_LINGUAS.

2005-03-23  Adi Attar  <aattar@cvs.gnome.org>

	* configure.in: Added 'xh' to ALL_LINGUAS.

2005-03-08  Ahmad Riza H Nst  <ari@160c.afraid.org>

	* configure.in: Added id (Indonesian) to ALL_LINGUAS line.

2005-03-07  Mugurel Tudor  <mugurelu@go.ro>

	* configure.in: Added "ro" to ALL_LINGUAS

2005-03-07  Ross Burton  <ross@burtonini.com>

	* configure.in:
	* NEWS:
	Version 2.10!

2005-03-07  Ross Burton  <ross@burtonini.com>

	* data/sound-juicer.glade:
	Make a label non-selectable (closes 169221)

2005-03-07  Ross Burton  <ross@burtonini.com>

	* help/sound-juicer/C/sound-juicer.xml:
	Added a tip on creating a MP3 profile.

2005-03-07  Shaun McCance  <shaunm@gnome.org>

	* help/sound-juicer/C/sound-juicer.xml:
	* help/sound-juicer/C/figures/prefs.png:
	* help/sound-juicer/C/figures/startup.png:
	- Documentation updates for 2.10

2005-03-02  Ross Burton  <ross@burtonini.com>

	* src/sj-extractor.c:
	Use G_DEFINE_TYPE.

2005-03-02  Ross Burton  <ross@burtonini.com>

	* src/sj-prefs.c:
	* src/sj-genres.[ch]:
	* src/sj-main.c:
	Add consts.

2005-03-02  Rajesh Ranjan <rranjan@redhat.com>
	
	* configure.in: Added Hindi in ALL_LINGUAS

2005-02-28  Ross Burton  <ross@burtonini.com>

	* configure.in:
	* NEWS:
	Version 2.9.92.

2005-02-24  Ross Burton  <ross@burtonini.com>

	* data/sound-juicer.glade:
	* src/sj-main.c:
	Quit correctly (closes 168018, thanks Raj M Madhan).

2005-02-21  Pawan Chitrakar  <pawan@nplinux.org>

	* configure.in: Added ne "Nepali" in ALL_LINGUAS

2005-02-16  Ross Burton  <ross@burtonini.com>

	* configure.in:
	Depend on gnomevfs 2.9.

	* src/sj-profile-chooser.[ch]:
	* src/Makefile.am:
	Added a clone of the gnome-media profile chooser, which also
	displays the output format type. Inspired by patches from Raj
	Madhan.

	* data/sound-juicer.glade:
	Use the new widget.

2005-02-16  Ross Burton  <ross@burtonini.com>

	* configure.in:
	Depend on GTK+ 2.6.

	* src/sj-about.c:
	Use the new GTK+ API for About dialogs (Crispin Flowerday)

2005-02-15  Ross Burton  <ross@burtonini.com>

	* src/sj-prefs.c:
	Unselect a profile in the combo when the profile in gconf is
	"". Fixes #167470

2005-02-15  Ross Burton  <ross@burtonini.com>

	* README:
	Added kernel module blurb.

2005-02-15  Ross Burton  <ross@burtonini.com>

	* src/sound-juicer.h:
	* src/sj-util.c:
	* src/sj-extractor.c:
	Use gi18n.h (thanks to Crispin Flowerday)

2005-02-15  Ross Burton  <ross@burtonini.com>

	* data/sound-juicer.schemas.in:
	Set the profile key default to a valid profile.

2005-02-08  Ross Burton  <ross@burtonini.com>

	* configure.in:
	Depend on nautilus-burn >= 2.9.

2005-02-08  Ross Burton  <ross@burtonini.com>

	* configure.in:
	* NEWS:
	Version 2.9.91.

	* configure.in:
	* src/Makefile.am:
	* tests/Makefile.am:
	Remove --enable-hal option

2005-02-07  Ross Burton  <ross@burtonini.com>

	* data/sound-juicer.glade:
	* src/sj-prefs.c:
	Use a GtkFileChooserButton instead of the label+Browse button.

2005-02-07  Ross Burton  <ross@burtonini.com>

	* data/sound-juicer.glade:
	HIGify the Preferences dialog.

2005-02-07  Ross Burton  <ross@burtonini.com>

	* src/sj-util.c:
	Protect against NULL devices.

2005-02-06  Ross Burton  <ross@burtonini.com>

	* src/sj-prefs.c:
	Write the empty string instead of NULL to GConf. GConf 2.8 doesn't
	like NULL strings.

2005-02-06  Ross Burton  <ross@burtonini.com>

	* README:
	Update and add bug reporting blurb.

2005-02-06  Ross Burton  <ross@burtonini.com>

	* src/sj-main.c:
	Fix statement order for non-C99 compilers (partially fixes 141587)

2005-02-06  Ross Burton  <ross@burtonini.com>

	* src/sj-extractor.c:
	Ensure that the pipeline is not running when an error is caught
	(closes 130831)

2005-02-06  Ross Burton  <ross@burtonini.com>

	* src/sj-extracting.c:
	Use gnome-open instead of nautilus when opening a folder (closes
	163720)

2005-02-05  Ross Burton  <ross@burtonini.com>

	* data/sound-juicer.glade:
	Fix the menus and switch to nautilus-burn.

	* configure.in:
	* src/Makefile.am:
	* src/sj-metadata-musicbrainz.c:
	* src/sj-prefs.c:
	* src/sj-util.c:
	* tests/Makefile.am:
	Use nautilus-burn instead of a copy of libbacon.
	
	* src/bacon-cd-selection.c:
	* src/bacon-cd-selection.h:
	* src/cd-drive.c:
	* src/cd-drive.h:
	* src/dvd_plus_rw_utils.cpp:
	* src/transport.hxx:
	* src/update-from-bacon.sh:
	Remove old bacon files.

2005-02-05  Ross Burton  <ross@burtonini.com>

	* src/sj-about.c:
	Fix copyright date.

2005-02-04  Ross Burton  <ross@burtonini.com>

	* configure.in:
	* NEWS:
	Version 0.6.0!

2005-02-01  Ross Burton  <ross@burtonini.com>

	* src/sj-prefs.c:
	Handle an empty profile gconf key (closes 164170, based on a patch
	from Madhan Raj M)

2005-02-01  Ross Burton  <ross@burtonini.com>

	* src/sj-extracting:
	Make the Close button default when a rip is complete (closes
	142743)

2005-02-01  Ross Burton  <ross@burtonini.com>

	* data/sound-juicer.glade:
	* src/sj-main.c:
	Use delete-event instead of destroy-event, check if we are ripping
	when Quit is selected, and fix the reversed "you are still
	ripping" logic.  (closes #163153, thanks to Madhan Raj M)

2005-02-01  Ross Burton  <ross@burtonini.com>

	* src/sj-main.c:
	Ensure (De)Select All reflects the state of the selection (closes
	#162830, thanks to Nirmal Kumar)

	Use exit() in the "profile not found" dialog, it may be called
	outside the main loop (closes #164092, thanks to Madhan Raj M)

2005-01-05  Ross Burton  <ross@burtonini.com>

	* src/sj-extracting.c:
	Disable the Extract/Re-read/Select All/Deselect All menu items
	when extracting (closes 162252, thanks to Raj Madhan)

2005-01-04  Ross Burton  <ross@burtonini.com>

	* help/sound-juicer/C/sound-juicer.xml:
	* src/sj-extractor.c:
	s/Gnome/GNOME/

2004-12-22  Ross Burton  <ross@burtonini.com>

	* src/cd-drive.c:
	Updated libbacon, fixing HAL builds.

2004-11-23  Ross Burton  <ross@burtonini.com>

	* src/*:
	Update libbacon.

2004-11-22  Frederic Crozat  <fcrozat@mandrakesoft.com>

	* src/sj-extracting.c: (build_filename):
	Handle error when g_filename_from_utf8 fails.

	* src/sj-metadata-musicbrainz.c: (lookup_cd):
	Better handle errors when musicbrainz metadata are empty.

2004-11-22  Ross Burton  <ross@burtonini.com>

	* src/sj-extracting.c:
	Fix the time remaining calculations. Thanks to
	hondaguru@earthlink.net, fixes #158987.

2004-11-19  Ross Burton  <ross@burtonini.com>

	* Most files:
	Start of GNOME Media Profiles port.  Heavily based on patches from
	Dan Berger <dberger@oubliette.org>

2004-11-17  Ross Burton  <ross@burtonini.com>

	* src/sj-metadata-musicbrainz.c:
	Include gi18n.h as _() in libgnome is deprecated. Fixes #158526,
	thanks to Mariano Suárez-Alvarez for the patch.

2004-11-09  Ross Burton  <ross@burtonini.com>

	* src/sj-extractor.c:
	Fix idle handler problems, thanks to Colin Walters. Closes
	#157772.

2004-10-11  Ross Burton  <ross@burtonini.com>

	* configure.in:
	* NEWS:
	Version 0.5.14.

2004-10-06  Ross Burton  <ross@burtonini.com>

	* src/sj-main.c:
	Block change handlers when setting title/artist entries, removing
	memory corruption. Fixes #153492.

2004-10-05  Ross Burton  <ross@burtonini.com>

	* src/sj-main.c:
	Sort the genre list at runtime, handles different locales this
	way (patch from Christophe Fergeau).

2004-10-05  Ross Burton  <ross@burtonini.com>

	* src/sj-prefs.c:
	Handle NULL values from GConf (patch from Colin Walters).

2004-09-30  Leonid Kanter <leon@asplinux.ru>

	* configure.in: Added Russian "ru" to ALL_LINGUAS

2004-09-28  Ross Burton  <ross@burtonini.com>

	* src/cd-drive.c:
	Fix HAL compile, apparently. Thanks to Sjoerd Simons
	<sjoerd@spring.luon.net>.
	
	* src/Makefile.am:
	* tests/Makefile.am:
	Actually add the HAL flags to the build.  First Colin and then
	Sjoerd sent me this patch so I guess I should apply it...

2004-09-28  Ross Burton  <ross@burtonini.com>

	* configure.in:
	Version 0.5.13.

2004-09-27  Ross Burton  <ross@burtonini.com>

	* configure.in:
	HAL blurb.
	
2004-09-27  Ross Burton  <ross@burtonini.com>

	* src/sj-genres.c:
	Yet more aliases.

2004-09-24  Ross Burton  <ross@burtonini.com>

	* src/sj-metadata-musicbrainz.c
	Don't call g_strstrip on NULL (Colin Walters)

2004-09-24  Ross Burton  <ross@burtonini.com>

	* configure.in:
	Detect and enable HAL, based on a patch from Colin Walters.

2004-09-21  Ross Burton  <ross@burtonini.com>

	* src/bacon-cd-selection.c:
	* src/cd-drive.c:
	* src/cd-drive.h:
	* src/dvd_plus_rw_utils.cpp:
	Updated from NCB.

2004-09-21  Ross Burton  <ross@burtonini.com>

	* data/Makefile.am:
	Use $(GCONFTOOL) instead of gconftool-2.

2004-09-21  Ross Burton  <ross@burtonini.com>

	* data/sound-juicer.schemas.in: 
	* src/sound-juicer.h: 
	* src/sj-metadata-musicbrainz.c:
	Add support for changing the MusicBrainz server using a gconf
	key. Patch from William Jon McCann <mccann@jhu.edu>.

2004-09-21  Ross Burton  <ross@burtonini.com>

	* sound-juicer.spec.in:
	Add a pre-remove handler to remove the gconf schemas (Brent Fox)

2004-09-21  Ross Burton  <ross@burtonini.com>

	* src/sj-extracting.c (sanitize_path):
	Add more special shell characters (Andy Hanton)

2004-09-19  Abel Cheung  <maddog@linuxhall.org>

	* configure.in: Added "gu" "mk" "pa" "tr" to ALL_LINGUAS.

2004-09-17  Ross Burton  <ross@burtonini.com>

	* src/sj-main.c:
	Set the expand flag on some treeview columns.

2004-09-17  Ross Burton  <ross@burtonini.com>

	* src/sj-genres.c:
	A few more aliases.

2004-09-13  Ross Burton  <ross@burtonini.com>

	* data/sound-juicer.glade:
	* src/sj-prefs.c:
	Stop using the deprecated GtkOptionMenu, and use GtkComboBox.

2004-09-13  Ross Burton  <ross@burtonini.com>

	* src/sj-genres.c:
	Sort the genre list.

2004-09-13  Ross Burton  <ross@burtonini.com>

	* src/sj-extracting.c:
	Disable the genre combo when ripping.

	* src/sj-main.c:
	Reset the genre combo when the CD is changed.

2004-09-08  Ross Burton  <ross@burtonini.com>

	* src/bacon-cd-selection.c:
	* bacon-cd-selection.h:
	* cd-drive.c:
	* cd-drive.h:
	* dvd_plus_rw_utils.cpp:
	Updated from n-c-b HEAD.

2004-09-07  Ross Burton  <ross@burtonini.com>

	* src/sj-extracting.c:
	Fix a rare divide-by-zero, spotted by James Courtier-Dutton.

2004-08-26  Ross Burton  <ross@burtonini.com>

	* data/sound-juicer.glade:
	Add a genre combo.

	* src/sj-genres.[ch]:
	Add a genre enum, map and name functions.

	* src/Makefile.am:
	Added sj-genres.[ch]
	
	* src/sj-structures.h:
	Add a genre field.

	* src/sj-metadata-musicbrainz.c:
	Initialise the genre field.
	
	* src/sj-main.c:
	Populate the genre map and set the genre field.

	* src/sj-prefs.c:
	Set the genre field in the sample track.
	
	* src/sj-extractor.c:
	Write the genre field, if set.

2004-08-25  Ross Burton  <ross@burtonini.com>

	* src/sj-prefs.c:
	Be more paranoid about invalid GConf keys.

2004-08-21  Kjartan Maraas  <kmaraas@gnome.org>

	* configure.in: Add Â«nbÂ» to ALL_LINGUAS.

2004-07-18  Ross Burton  <ross@burtonini.com>

	* src/sj-prefs.c:
	Check cdroms has been initialized in cd_drive_exists(). Based on a
	patch from Emil Soleyman-Zomalan.

2004-07-10  William Jon McCann  <mccann@jhu.edu>

	* src/sj-extractor.c (tick_timeout_cb):
	Cast pipeline to a GstBin.

2004-07-09  Ross Burton  <ross@burtonini.com>

	* src/sj-extractor.c:
	Add gst_bin_iterate() to the tick timeout callback to ensure it
	gets called frequently on fast systems. Patch from David Arnold.

2004-06-30  Ross Burton  <ross@burtonini.com>

	* data/sound-juicer.glade:
	Use E_xtract instead of _Extract to avoid conflicting with the
	Edit menu.

2004-06-27  Frederic Crozat  <fcrozat@mandrakesoft.com>

	* src/sj-extracting.c: (check_for_file):
	Escape filename to utf8 before displaying it.

2004-06-11  Ross Burton  <ross@burtonini.com>

	* src/sj-extracting.c:
	Don't go weird when someone changes CD whilst the completed
	dialogue is open. Patch from Sean Proctor closing 143998.

2004-06-10  Ross Burton  <ross@burtonini.com>

	* data/sound-juicer.glade:
	Span the Strip check box so it doesn't play around with spacing.

2004-06-10  Ross Burton  <ross@burtonini.com>

	* src/sj-prefs.c:
	Use the new file selector.

2004-06-10  Ross Burton  <ross@burtonini.com>

	* configure.in:
	* src/Makefile.am:
	* tests/Makefile.am:
	Depend on GTK+ 2.4, and re-arrange some variables.

2004-06-07  Ross Burton  <ross@burtonini.com>

	* configure.in:
	* NEWS:
	Version 0.5.12. Anyone accusing me of revisionism will be taken
	outside and shot.
	
2004-06-07  Ross Burton  <ross@burtonini.com>

	* data/sound-juicer.glade:
	Add colons to the Preferences dialog. Oh, and 200 lines of new
	properties from the new Glade.

2004-06-07  Ross Burton  <ross@burtonini.com>

	* src/sj-prefs.c:
	Force the sample track/album strings to be translated. Another
	patch from Mariano, closing #136479.
	
2004-06-07  Ross Burton  <ross@burtonini.com>

	* src/sj-prefs.c:
	Close the dialogue when the WM close button is pressed.  Patch
	from Mariano SuÃ¡rez-Alvarez, closing #143780.

2004-06-01  Alexander Shopov  <ash@contact.bg>

	* configure.in (ALL_LINGUAS): Added "bg" Bulgarian

2004-06-01  Ross Burton  <ross@burtonini.com>

	* src/sj-main.c:
	Watch the Strip Characters and Eject preferences for changes.

2004-05-31  Ross Burton  <ross@burtonini.com>

	* src/sj-extracting.c:
	Mark Eject for localisation. Thanks to Stephane Raimbault for
	noticing.

2004-05-14  Ross Burton  <ross@burtonini.com>

	* src/sj-prefs.c:
	Add %tN-%tA-%tT to file_patterns (closes: #142207)

2004-05-08  IÃ±aki LarraÃ±aga  <dooteo@euskalgnu.org>

	* configure.in: Added "eu" (Basque) to ALL_LINGUAS.

2004-05-07  Bastien Nocera  <hadess@hadess.net>

	* src/sj-main.c: (device_changed_cb):
	* src/sj-prefs.c: (prefs_get_default_device), (cd_drive_exists):
	* src/sj-prefs.h: use existing CD drive if we can't find the one
	specified in GConf (Closes: #130609)

2004-05-07  Bastien Nocera  <hadess@hadess.net>

	* src/sj-util.c: (mkdir_recursive): better error message when ripping
	on a full disk (Closes: #140403)

2004-04-30  Ross Burton  <ross@burtonini.com>

	* src/sj-extracting.c:
	Add " to the list of characters to strip for sane paths.
	Fix a crash when the user skips writing every track if they already exist.

2004-04-16  Ross Burton  <ross@burtonini.com>

	* src/sj-prefs.c:
	Wire up the Help button. Thanks to Brent Fox for the patch.

2004-04-16  Ross Burton  <ross@burtonini.com>

	* src/sj-extractor.c:
	Handle the new GStreamer 0.8 error callback prototype.

2004-04-16  Ross Burton  <ross@burtonini.com>

	* configure.in:
	Don't bother building with GStreamer 0.7.x, and set a define
	stating which version of GStreamer we are using.

2004-04-14  Bastien Nocera  <hadess@hadess.net>

	* autogen.sh: make it build with automake 1.8
	* src/cd-drive.c: (linux_bsd_media_type): update from libbacon

2004-04-13  Ross Burton  <ross@burtonini.com>

	* configure.in:
	* NEWS:
	Release 0.5.11.

2004-04-13  Ross Burton  <ross@burtonini.com>

	* help/sound-juicer/C/sound-juicer-manual-C.omf:
	Add the DTD.

2004-04-13  Ross Burton  <ross@burtonini.com>

	* src/bacon-cd-selection.c:
	* src/bacon-cd-selection.h:
	* src/cd-drive.c:
	* src/dvd_plus_rw_utils.cpp:
	Updated.

2004-03-30  Adam Weinberger  <adamw@gnome.org>

	* configure.in: Added en_CA to ALL_LINGUAS.

2004-03-29  Ross Burton  <ross@burtonini.com>

	* configure.in:
	Look for GStreamer 0.8 before trying 0.7 and 0.6.

2004-03-29  Ross Burton  <ross@burtonini.com>

	* src/sj-main.c:
	Add a mnemonic to the "broken encoder" dialog, and fix the closing
	logic.
	
2004-03-29  Ross Burton  <ross@burtonini.com>

	* README:
	Updated, and added a FAQ.

2004-03-23  Maxim Dziumanenko <mvd@mylinux.com.ua>

	* configure.in:  Added "uk" (Ukrainian) to ALL_LINGUAS

2003-03-21  Gareth Owen  <gowen72@yahoo.com>

	* configure.in:  Added en_GB to ALL_LINGUAS

2003-03-21  Evandro Fernandes Giovanini  <evandrofg@ig.com.br>
   
	* configure.in(ALL_LINGUAS): Added "pt_BR" (Brazilian Portuguese).

2004-03-15  Ross Burton  <ross@burtonini.com>

	* data/sound-juicer.glade:
	Use Control-Return as the menu shortcut for Extract.

2004-03-12  Paisa Seeluangsawat  <paisa@users.sf.net>

	* configure.in: Added "th" (Thai) to ALL_LINGUAS.

2004-03-07  Tommi Vainikainen <thv@iki.fi>

	* configure.in: Added "fi" (Finnish) to ALL_LINGUAS.

2004-03-02  Åœygimantas BeruÄ?ka  <uid0@akl.lt>

	* configure.in: Added "lt" (Lithuanian) to ALL_LINGUAS.

2004-02-25  Ross Burton  <ross@burtonini.com>

	* src/sj-about.c:
	Use "translator-credits" instead of "translator_credits" at the
	request of the i18n team.

2004-02-25  Ross Burton  <ross@burtonini.com>

	* src/sj-main.c:
	Read the value of the eject on complete preference at startup.

2004-02-05  Ross Burton  <ross@burtonini.com>

	* configure.in:
	* NEWS:
	Release 0.5.10.1.

2004-02-05  Ross Burton  <ross@burtonini.com>

	* configure.in:
	* NEWS:
	Release 0.5.10.

2004-01-21  Ross Burton  <ross@burtonini.com>

	* src/Makefile.am:
	Dammit, I was using automake 1.8 features and this must work with
	1.6.

2004-01-21  Ross Burton  <ross@burtonini.com>

	* configure.in:
	Cleanup and add more comments.

	* src/Makefile.am: 
	Ditto.

2004-01-17  Ross Burton  <ross@burtonini.com>

	* src/sj-prefs.c:
	Fix a double-free.

2004-01-17  Ross Burton  <ross@burtonini.com>

	* src/sj-prefs.c:
	Use the translated string in the pattern drop-downs.

2004-01-17  Ross Burton  <ross@burtonini.com>

	* src/cd-drive.c:
	* src/cd-drive.h:
	* src/transport.hxx:
	Update from libbacon.

2004-01-13  Ross Burton  <ross@burtonini.com>

	* src/sj-main.c:
	Add back the GNOME standard properties to gnome_program_init(),
	whoops. Thanks to jrb for noticing.

2004-01-13  Ross Burton  <ross@burtonini.com>

	* src/sj-extracting.c:
	* data/sound-juicer.glade:
	Add a virtual penis, showing the estimated duration and ripping
	speed. Thanks to Bastien for this patch.

2004-01-13  Ross Burton  <ross@burtonini.com>

	* src/sj-extractor.c:
	Keep the ID of the idle callback, and remove it when we're done.

2004-01-07  Ross Burton  <ross@burtonini.com>

	* NEWS:
	* configure.in:
	Version 0.5.9.

2004-01-05  Ross Burton  <ross@burtonini.com>

	* sound-juicer.spec.in:
	Minor working change to the description.

2004-01-04  Ross Burton  <ross@burtonini.com>

	* src/sj-extractor.c:
	And fix a typo too. Turns out the new tagging code has never been
	used...

2004-01-04  Ross Burton  <ross@burtonini.com>

	* src/sj-extractor.c:
	Include config.h.

2004-01-03  Ross Burton  <ross@burtonini.com>

	* src/sj-extracting.c:
	* src/sj-extractor.c:
	* src/sj-main.c:
	* src/sj-prefs.c:
	* src/sj-util.c:
	Plug lots of memory leaks. Patch mostly from Michael Henson
	<mike@axl.net>.

2004-01-03  Colin Walters  <walters@verbum.org>

	* src/sj-main.c (reread_cd): Pop statusbar loading message if
	there's no CDROM available.

2003-12-30  Thomas Vander Stichele  <thomas at apestaart dot org>

	* omf.make: fix DESTDIR installs and other scrollkeeper problems
	* xmldocs.make: for make distcheck to work

2003-12-15  Ross Burton  <ross@burtonini.com>

	* src/sj-extracting.c:
	Create folders with mode 0777 and let umask do its job instead of
	faffing about with 0750. Closes #129389.

2003-12-08  Ross Burton  <ross@burtonini.com>

	* data/sound-juicer.glade:
	Nicer labels (Jens Knutson)

2003-12-08  Ross Burton  <ross@burtonini.com>

	* src/cd-drive.[ch]:
	Updated from bacon.

2003-12-04  Ross Burton  <ross@burtonini.com>

	* configure.in:
	Check for the new GStreamer tagging API in 0.7.2.

	* src/sj-extractor.c:
	Use the new GStreamer tagging API. Thanks Christophe Fergeau!

2003-11-26  Ross Burton  <ross@burtonini.com>

	* configure.in:
	* NEWS:
	Version 0.5.8.

2003-11-25  Ross Burton  <ross@burtonini.com>

	* src/sj-extracting.c:
	* src/sj-extractor.c:
	Initialise more variables to NULL, thanks teuf.

2003-11-21  Ross Burton  <ross@burtonini.com>

	* src/sj-main.c:
	Remove the ? from Extract?

2003-11-20  Ross Burton  <ross@burtonini.com>

	* src/sj-extracting.c:
	Disable all of the widgets in the main window when
	extracting. Patch from Brent Fox <bfox@redhat.com>.

2003-11-20  Ross Burton  <ross@burtonini.com>

	* data/sound-juicer.glade:
	* data/sound-juicer.schemas.in:
	* src/sj-extracting.c:
	* src/sj-main.c:
	* src/sj-prefs.c:
	* src/sound-juicer.h:
	Add "Eject when finished" preference.

2003-11-20  Ross Burton  <ross@burtonini.com>

	* data/sound-juicer.desktop.in:
	* src/sj-about.c:
	One doesn't "rip" CDs, one "extracts the audio".

2003-11-20  Ross Burton  <ross@burtonini.com>

	* configure.in:
	* src/Makefile.am:
	Add a configure flag to turn on deprecation warnings.

2003-11-20  Ross Burton  <ross@burtonini.com>

	* src/sj-main.c:
	Use the status bar. Thanks to Brent Fox <bfox@redhat.com>
	
2003-11-20  Ross Burton  <ross@burtonini.com>

	* src/sj-extracting.c:
	Lowercase the k in KB. I'm going mad and can't read now. If I get
	this wrong one more time I'll use "kilobytes" instead.

2003-11-17  Ross Burton  <ross@burtonini.com>

	* src/sj-extracting.c: Alexander Winston pointed out that SI units
	should have a space between the number and the units. Fixed.

2003-11-16  Takeshi AIHANA <aihana@gnome.gr.jp>

	* configure.in: Added 'ja' (Japanese)  into ALL_LINGUAS.

2003-11-12  Ross Burton  <ross@burtonini.com>

	* src/sj-about.c: 
	Give the translators some credit.

2003-11-12  Ross Burton  <ross@burtonini.com>

	* src/sj-main.c:
	Add an --autostart option, and activate the Extract button if its
	specified.

	* src/sound-juicer.h:
	Declare the autostart variable.

	* src/sj-extracting.c:
	When autostarting, quit when we've finished.

2003-11-12  Ross Burton  <ross@burtonini.com>

	* src/sj-prefs.c:
	Add an option so that no directories are created for the song.

2003-11-11  Ross Burton  <ross@burtonini.com>

	* configure.in:
	* NEWS:
	Update for 0.5.7.

2003-11-11  Ross Burton  <ross@burtonini.com>

	* src/sj-main.c:
	Clear the list store first when no CD is inserted. Appears to fix
	*many* bugs.

2003-11-10  Ross Burton  <ross@burtonini.com>

	* src/sj-extractor.c:
	Remove the call to gst_init().

	* src/sj-main.c:
	Add the GStreamer popt table for --help coolness. Also cleanup the
	includes a little.

2003-11-10  Ross Burton  <ross@burtonini.com>

	* src/sj-main.c:
	Make the "invalid encoder" dialog work...

2003-10-31  Ross Burton  <ross@burtonini.com>

	* configure.in:
	Add GObject and GThread to the GLib compiler arguments.

	* test/mb-test.c
	Initialize threads, and remove the explicit CD-ROM set.

	* test/Makefile.am:
	Remove -lgobject-2.0 as GLIB_LIBS does that for us now.

2003-10-31  Ross Burton  <ross@burtonini.com>

	* src/sj-extracting.c:
	Use "kB" and divide by 1000 to be correct with file sizes. Pointed
	out by Alexander Winston.  Also hide the dialogs when errors
	occur, and stop cleanup() crashing.

2003-10-31  Ross Burton  <ross@burtonini.com>

	* src/Makefile.am:
	Define PKGDATADIR to DATADIR/sound-juicer.

	* src/sj-about.c:
	Fix the path to the funky orange. Spotted by Jordi Mallach.

2003-10-31  Ross Burton  <ross@burtonini.com>

	* src/sj-main.c:
	Add more comments, don't leak as much memory, and update the
	extract buttons as tracks are selected to be ripped.

2003-10-31  Ross Burton  <ross@burtonini.com>

	* src/sj-extracting.c:
	Return an GError in create_directory_for(), and display error
	dialogs if the directory cannot be created.  Clamp the progress
	bar value (hides #125850). Show an error dialog if the extractor
	returns an error. Do more cleanups. Use different quotes when
	calling Nautilus on a hunch. I was busy last night...

2003-10-31  Ross Burton  <ross@burtonini.com>

	* src/sj-metadata-musicbrainz.c:
	Remove the magic buffer size and use a #define instead. Remove C++
	comments. Return an error if the thread cannot be created.

2003-10-31  Ross Burton  <ross@burtonini.com>

	* src/sj-extractor.c:
	Fix the error signal declaration.

2003-10-30  Ross Burton  <ross@burtonini.com>

	* configure.in:
	Remove redundant gstreamer library checks.

2003-10-26  Ross Burton  <ross@burtonini.com>

	* configure.in:
	Version 0.5.6
	* NEWS:
	Updated.

	* src/cd-drive.c:
	Updated.

2003-10-25  Christian Schaller <Uraeus@gnome.org>

	* Updates for 0.7 compatability
	* configure checks first for 0.7, if not then 0.6
	* Update spec file for latest changes in GStreamer packaging

2003-10-24  Ross Burton  <ross@burtonini.com>

	* src/sj-extracting.c:
	Disable the Extract and Re-read buttons when extracting. Fixes
	#113501.

2003-10-24  Ross Burton  <ross@burtonini.com>

	* src/sj-extracting.[ch]:
	Totally rewrite, now actually works correctly!

	* src/sj-extractor.[ch]:
	Remove sj_extractor_get_track_details().

	* src/sj-main.c:
	Make more variables static, and update the UI with a NULL album
	before displaying.

2003-10-24  Ross Burton  <ross@burtonini.com>

	* data/sound-juicer.glade:
	Rename the status bar widget. Hint hint at future commit.

2003-10-24  Alessio Frusciante  <algol@firenze.linux.it>

	* configure.in: Added "it" (Italian) to ALL_LINGUAS.

2003-10-13  Frederic Crozat  <fcrozat@mandrakesoft.com>

	* src/sj-extracting.c: (build_filename):
	Convert to locale filesystem encoding if needed.

2003-10-13  Ross Burton  <ross@burtonini.com>

	* data/sound-juicer.glade:
	Remove the separator and change the default size (thanks to Paolo
	Borelli)

2003-10-02  Ross Burton  <ross@burtonini.com>

	* src/sj-extracting.c:
	Quote the path given to Nautilus, so correctly deal with paths
	with spaces in.

2003-10-01  Ross Burton  <ross@burtonini.com>

	* src/cd-drive.c:
	Get the address of fd before casting to a pointer. Whoops.

2003-10-01  Ross Burton  <ross@burtonini.com>

	* NEWS:
	* configure.in:
	Release 0.5.5.

2003-10-01  Ross Burton  <ross@burtonini.com>

	* src/sj-metadata-musicbrainz.c:
	Threaded lookup!  However, CD detection etc is still blocking, but
	its an improvement.
	
2003-10-01  Ross Burton  <ross@burtonini.com>

	* src/sj-extracting.c:
	Remember the file paths, and open the highest common folder if the
	user picks Open when the rip is completed. This makes the button
	useful :)

2003-10-01  Ross Burton  <ross@burtonini.com>

	* src/sj-util.[ch]:
	Added g_list_deep_free()

	* src/sj-main.c:
	* src/sj-structures.c:
	Use deep_free

2003-09-30  Bastien Nocera  <hadess@hadess.net>

	* src/sj-extractor.c: (eos_cb), (tick_timeout_cb),
	(sj_extractor_extract_track), (sj_extractor_cancel_extract):
	Make sure that the pipeline is rebuilt for each track (work-around
	bug #122416)

2003-09-29  Ross Burton  <ross@burtonini.com>

	* src/sj-metadata-musicbrainz.c:
	Correctly handle the artist in compilation CDs.

2003-09-29  Ross Burton  <ross@burtonini.com>

	* src/sj-extracting.c:
	Connect to the error callback.

2003-09-29  Ross Burton  <ross@burtonini.com>

	* src/sj-extractor.[ch]:
	Add an error signal for reporting errors.

2003-09-26  Frederic Crozat  <fcrozat@mandrakesoft.com>

	* src/sj-extracting.c: (on_extract_activate):
	Fix crash when closing progress dialog (using esc or WM close button).

2003-09-26  Frederic Crozat  <fcrozat@mandrakesoft.com>

	* src/sj-extracting.c: (on_progress_cancel_clicked),
	(on_extract_activate):
	Fix crash when ripping after cancelling.
	Set progress bar to 0 before showing progress dialog.

2003-09-26  Frederic Crozat  <fcrozat@mandrakesoft.com>

	* src/cd-drive.c: (linux_scan):
	Fix devfs detection.

2003-09-25  Ross Burton  <ross@burtonini.com>

	* src/sj-extractor.c:
	Add a very basic error handler for now.

2003-09-25  Ross Burton  <ross@burtonini.com>

	* src/bacon-cd-selection.[ch]:
	* src/cd-drive.c:
	* src/dvd_plus_rw_utils.cpp:
	Updated libbacon sources.

2003-09-24  Bastien Nocera  <hadess@hadess.net>

	* src/sj-extractor.c: (sj_extractor_supports_encoding):
	* src/sj-extractor.h:
	* src/sj-main.c: (main): check for the cdparanoia plugin being present
	(Closes: #123122)

2003-09-24  Frederic Crozat  <fcrozat@mandrakesoft.com>

	* src/Makefile.am:
	Fix parallel build.

2003-09-24  Frederic Crozat  <fcrozat@mandrakesoft.com>

	* Makefile.am:
	Remove intltool generated tools on distclean, not clean.

2003-09-16  Bastien Nocera  <hadess@hadess.net>

	* tests/mb-test.c: (metadata_cb), (main):
	Fix the test so that it works and compiles.

2003-09-16  Ross Burton  <ross@burtonini.com>

	* src/sj-metadata-musicbrainz.c:
	Fix a very stupid crash when not online, thanks to Frederic Crozat
	<fcrozat@mandrakesoft.com> for noticing.

	* NEWS:
	* configure.in:
	New release.

2003-09-16  Ross Burton  <ross@burtonini.com>

	* configure.in:
	Bump version number.

	* src/Makefile.am:
	Dist the marshal list.

	* tests/Makefile.am:
	Fix the mb-test compile

	* test/mb-test.c:
	Break the test so it compiles. Will fix soonish, honest.
	
2003-09-16  Ross Burton  <ross@burtonini.com>

	* NEWS:
	* TODO:
	Updates for upcoming 0.5.3.

	* src/sj-metadata-marshal.list:
	* src/Makefile.am:
	Define some custom marshals.

	* src/sj-metadata.[ch]:
	* src/sj-metadata-musicbrainz.c:
	* src/sj-main.c:
	Return the metadata in a signal, so that threaded lookups can be
	made. Patience young padwan.

2003-09-10  Ross Burton  <ross@burtonini.com>

	* src/sj-metadata-musicbrainz.c:
	Add g_strdup()s to avoid segfaults when editing track
	listings. Thanks to Mike Hearn.

2003-09-04  Bastien Nocera  <hadess@hadess.net>

	* data/sound-juicer.schemas.in:
	* src/sj-extracting.c: (filepath_parse_pattern): added %aA, %aT,
	%tT and %tA, the lowercase equivalents of %aa, %at, %tt and %ta
	so one can lowercase all his filenames and directory entries when
	ripping

2003-09-03  Ross Burton  <ross@burtonini.com>

	* src/sj-util.c:
	Handle unknown disk types as audio.

2003-09-03  Ross Burton  <ross@burtonini.com>

	* src/sj-util.c: Support FreeBSD CD-ROM ejecting (patch from Koop
	Mast <einekoai@chello.nl).

2003-09-03  Bastien Nocera  <hadess@hadess.net>

	* src/sj-main.c: (reread_cd):
	Clear the UI and don't do any lookup if the CD isn't an audio CD
	* src/sj-util.[ch]:
	Added is_audio_cd

2003-09-03  Ross Burton  <ross@burtonini.com>

	* data/sound-juicer.desktop.in: 
	Added Bugzilla information.

2003-09-02  Bastien Nocera  <hadess@hadess.net>

	* src/sj-main.c: (error_on_start), (reread_cd),
	(device_changed_cb): exit when no CD drives could be found, don't
	g_strdup_printf when gtk_message_dialog_new handles printf format
	just fine (fixes memleaks) (both patches from Jonathan Blandford
	<jrb@redhat.com>)

2003-09-02  Thomas Vander Stichele <thomas at apestaart dot org>

	* data/Makefile.am:
	print warning and continue when failing to install gconf schemas

2003-09-02  Bastien Nocera  <hadess@hadess.net>
  
	* data/sound-juicer.glade: set the extract buttons to be disabled by default

	* src/sj-main.c:
	poll for tray_is_opened every 2 seconds, clear the list when the
	tray gets opened, update the list when the tray closes (Closes:
	#notting's wishlist)

2003-09-02  Ross Burton  <ross@burtonini.com>

	* src/sj-metadata.[ch]:
	Added an abstract interface to the metadata lookup.
	* src/sj-metadata-musicbrainz.[ch]:
	Added a MusicBrainz implementation.
	* src/sj-musicbrainz.[ch]:
	Removed, deprecated by above changes.
	* src/sj-main.c:
	Use the new SjMetadata objects.

	* tests/mb-test.c:
	Updated code for new SjMetadata object.
	
	* src/Makefile.am:
	* tests/Makefile.am:
	Updated compile lines for new filenames.
	
2003-09-01  Bastien Nocera  <hadess@hadess.net>

	* src/bacon-cd-selection.h:
	* src/cd-drive.c: (linux_bsd_media_type):
	* src/cd-drive.h: updated from libbacon
	* src/sj-error.h: added more fine-grained errors
	* src/sj-extracting.c: (build_filename):
	* src/sj-extractor.c: (encoding_format_get_type),
	(sj_extractor_instance_init), (sj_extractor_finalize),
	(build_encoder), (build_pipeline), (sj_extractor_set_device),
	(sj_extractor_set_paranoia), (sj_extractor_supports_format):
	* src/sj-extractor.h:
	* src/sj-main.c: (error_on_start), (on_destory_event), (reread_cd),
	(device_changed_cb), (format_changed_cb), (on_reread_activate),
	(main):
	* src/sj-musicbrainz.c: (sj_musicbrainz_list_albums):
	* src/sj-prefs.c: (on_format_toggled), (format_changed_cb),
	(on_edit_preferences_cb):
	* src/sj-prefs.h:
	* tests/Makefile.am:
	Added more fine-grained errors in the enum, Do not warn
	about CD not being present in the drive on startup, Prefix encoding
	formats with SJ_FORMAT_, Check which encoders are available on startup
	and when changing the preferences, warn if the selected encoder isn't
	available, or there aren't any decoders available, Don't use the
	mpegaudio plugin to encode MPEG, mp2 files suck

2003-09-01  Metin Amiroff  <metin@karegen.com>

	configure.in: Added "az" in ALL_LINGUAS.

2003-08-27  Ole Laursen  <olau@hardworking.dk>

	* configure.in: Added "da" (Danish) to ALL_LINGUAS.

2003-08-24  Bastien Nocera  <hadess@hadess.net>

	* src/sj-extractor.c: (sj_extractor_extract_track):
	* src/sj-musicbrainz.c: (get_offline_track_listing),
	(sj_musicbrainz_list_albums):
	* src/sj-prefs.c: (pattern_label_update):
	* src/sj-structures.h: add the maximum number of tracks on the album
	inside the id3 tag/vorbis comment for the music management tools to use

2003-08-21  Kjartan Maraas  <kmaraas@gnome.org>

	* configure.in: Added "no" to ALL_LINGUAS

2003-08-21  Ross Burton  <ross@burtonini.com>

	* NEWS:
	* configure.in:
	Update for 0.5.2.

2003-08-21  Ross Burton  <ross@burtonini.com>

	* src/sj-extractor.c:
	Damn. Actually build the wave and FLAC encoders.

2003-08-19  Artur Flinta  <aflinta@cvs.gnome.org>

	* configure.in: Added "pl" to ALL_LINGUAS.

2003-08-15  Ross Burton  <ross@burtonini.com>

	* src/sj-main.c:
	Clear the tree model first, to avoid crashing when Reread is
	pressed, fixing #119890.

2003-08-13  Bastien Nocera  <hadess@hadess.net>

	* src/cd-drive.c: (linux_bsd_media_type), (get_device_max_speed),
	(get_scsi_cd_name), (add_linux_cd_recorder), (linux_scan):
	* src/cd-drive.h: upd from libbacon, faster startup if a CD happened
	to be mounted in one of the CD drives

2003-08-11  Ross Burton  <ross@burtonini.com>

	* NEWS:
	* configure.in:
	Version 0.5.1.

2003-08-11  Ross Burton  <ross@burtonini.com>

	* src/sj-main.c:
	Don't exit if we can't find a CD-ROM drive.

2003-08-07  Ross Burton  <ross@burtonini.com>

	* src/sj-structures.[ch]:
	Added functions to free TrackDetails* and AlbumDetails*.

2003-08-07  Ross Burton  <ross@burtonini.com>

	* src/sj-main.c:
	Free the previous album.

2003-08-05  Ross Burton  <ross@burtonini.com>

	* data/sound-juicer.schemas.in:
	Add defaults for the file and path patterns.

	* src/sj-prefs.c:
	If we get null for the file and path patterns, hack in a
	default. Fixes a crash if the user hasn't set these preferences in
	earlier versions... whoops.

2003-08-04  Danilo Å egan  <dsegan@gmx.net>

	* configure.in: Added "sr" and "sr@Latn" to ALL_LINGUAS.

2003-08-01  Ross Burton  <ross@burtonini.com>

	* src/sj-extracting.c:
	Fix a warning if actual track length is greater than the reported
	length.
	
	* src/sj-extractor.c:
	Use lowercase metadata tag names to work better with GStreamer.

	Thanks to Bastien again.

2003-07-31  Ross Burton  <ross@burtonini.com>

	* configure.in:
	* NEWS:
	Prepare for 0.5.

2003-07-31  Jordi Mallach  <jordi@sindominio.net>

	* src/sj-main.c: Add a missing shortcut.

2003-07-31  Ross Burton  <ross@burtonini.com>

	* src/sj-extracting.c:
	Add a missing shortcut.

	* src/sj-main.c:
	Fix a typo.

2003-07-30  Ross Burton  <ross@burtonini.com>

	* src/sj-extractor.c:
	On End Of Stream, set the pipe line to NULL instead of READY so
	that all of the data is flushed. I hope.
	
2003-07-30  Ross Burton  <ross@burtonini.com>

	* src/sj-main.c:
	When editing the album name/title, propogate the change to the
	tracks. Thanks to Mike Hearn again.
	
2003-07-30  Ross Burton  <ross@burtonini.com>

	* data/sound-juicer.glade:
	Make the album title and artist fields GtkEntrys

	* src/sj-main.c:
	Handle editing the album title and artist fields. If the artist is
	changed, change the track artists too.

	Thanks to Mike Hearn for doing this patch.

	* Makefile.am:
	Ignore the scrollkeeper files left after uninstall so that
	distcheck works.

2003-07-29  Ross Burton  <ross@burtonini.com>

	* help/*:
	Added online help files.

	* Makefile.am:
	* configure.in:
	Include the help files in the build and dist.

	* src/Makefile.am:
	Add more path defines.
	* src/sj-about.c:
	Credit Mike Hearn for documentation.
	* src/sj-main.c:
	Add callback for Help, construct the GnomeProgram correctly and
	fixup glade path.

	* sound-juicer.spec.in:
	Build-depend on ScrollKeeper.
	
	All of this is from Mike Hearn, closing #116914.

2003-07-29  Ross Burton  <ross@burtonini.com>

	* data/sound-juicer.desktop.in:
	Add product name as per the HIG. Thanks to Mike Hearn for
	noticing. Closes #116925.

2003-07-07  Bastien Nocera  <hadess@hadess.net>

	* configure.in: upd for libbacon update
	* src/Makefile.am:
	* src/bacon-cd-selection.c:
	* src/cd-drive.c:
	* src/cd-drive.h: ditto

2003-07-04 Christian Schaller <Uraeus@gnome.org>

	* Makefile.am, sound-juicer.spec.in
	Fix the spec file and make sure it gets packaged

2003-07-03  Ross Burton  <ross@burtonini.com>

	* src/sj-musicbrainz.c:
	If Musicbrainz doesn't know how long a track is, work it out from
	the sector size.

	* src/mb-test.c:
	Ditto.

	Thanks to Bastien again for this patch.

2003-07-02  Ross Burton  <ross@burtonini.com>

	* src/sj-extracting.h
	* src/sj-extracting.c:
	Make parse_pattern public as filepath_parse_pattern()

	* data/sound-juicer.glade:
	Add a label as an example for the path.

	* src/sj-prefs.c:
	Update the example path label.

	These patches are 90% from Bastien Nocera.
	
2003-07-02  Ross Burton  <ross@burtonini.com>

	* src/sj-utils.c:
	Whoops, close the opened fd...

2003-07-02  Ross Burton  <ross@burtonini.com>

	* src/sj-util.h:
	* src/sj-util.c:
	Added eject_cdrom(). Non-linux types please submit patches to make
	this work for you!

	* src/sj-main.c:
	Use eject_cdrom() instead of running system("eject").

2003-07-02  Ross Burton  <ross@burtonini.com>

	* data/sound-juicer.glade:
	Remove the use of frames as some themes insist on drawing the
	lines. This patch mostly from Bastien Nocera, I just tweaked the
	borders.

2003-07-01  Arafat Medini <lumina@silverpen.de>

	* configure.in: Added "ar" Arabic to ALL_LINGUAS.

2003-06-30  Ross Burton  <ross@burtonini.com>

	* src/sj-extractor.c:
	Free the old pipeline.

2003-06-29  Bastien Nocera  <hadess@hadess.net>

	* configure.in:
	Removed build-time checks for MP3 encoders.

	* src/sj-extractor.c:
	Do a run-time check on the MPEG encoder.
	
	* src/sound-juicer.h: added a define for the use_http_proxy entryy
	* src/sj-main.c:
	Fix the proxy settings not being used for the first time, fix
	use_http_proxy being ignored.
	
	* src/sj-musicbrainz.c:
	Fix disabling proxies the settings, added an error message in
	sj_musicbrainz_list_albums().

2003-06-29  Christophe Merlet  <redfox@redfoxcenter.org>

	* configure.in: Added fr to ALL_LINGUAS.

2003-06-24  Ross Burton  <ross@burtonini.com>

	* configure.in:
	Version 0.4.1. Whoops.

	* NEWS:
	Ditto.

2003-06-24  Ross Burton  <ross@burtonini.com>

	* src/sj-extracting.c:
	Add a Rip Completed dialog, which can also open the folder the
	files were ripped into.

2003-06-24  Ross Burton  <ross@burtonini.com>

	* data/sound-juicer.glade:
	Remove the Quality setting which doesn't do anything. Whoops.
	
2003-06-24  Ross Burton  <ross@burtonini.com>

	* configure.in:
	Version 0.4.
	
	* NEWS
	Updated for 0.4.

2003-06-24  Ross Burton  <ross@burtonini.com>

	* src/sj-main.c:
	Really fix artist renaming. Old fix was leaking still.

2003-06-18  Ross Burton  <ross@burtonini.com>

	* data/sound-juicer.glade:
	Add CD->Eject
	
	* src/sj-main.c (on_eject_activate):
	Implement CD ejecting. Actually only does system("eject") but
	thats probably going to be more portable than using ioctl().

2003-06-18  Brian Koebbe  <brian@koebbe.org>

	* src/sj-main.c (on_cell_edited):
	Fix title/artist renaming

	* src/sj-extracting.c (on_extract_activate):
	Clear current_duration when starting a new extraction (progress
	bar fix)

2003-06-03  Ross Burton  <ross@burtonini.com>

	* src/sj-extractor.c:
	Uppercase the metadata keywords.

2003-06-02  Ross Burton  <ross@burtonini.com>

	* configure.in:
	* src/sj-extractor.c:
	Try and handle lame/mpegaudio encoders, selecting the right one.

2003-05-30  Abel Cheung  <maddog@linux.org.hk>

	* configure.in: Added zh_TW to ALL_LINGUAS.

2003-05-30  Ross Burton  <ross@burtonini.com>

	* src/sj-extracting.c:
	Add : to the list of stripped characters as it really annoys
	Windows machines. Damn them.

	* src/sj-prefs.c:
	* src/sj-main.c:
	Change the "number - title" filename format to use zero-padded
	numbers so it sorts correctly.

2003-05-29  Ross Burton  <ross@burtonini.com>

	* src/sj-extracting.c:
	Disable the Extract button when its pressed.

2003-05-29  Ross Burton  <ross@burtonini.com>

	* src/sj-musicbrainz.c:
	Fix a typo so that multiple artist albums should work.

2003-05-28  Ross Burton  <ross@burtonini.com>

	* src/cd-drive.c:
	Updated from libbacon.

	* TODO: Updated.

2003-05-25  Duarte Loreto <happyguy_pt@hotmail.com>

	* configure.in: Added portuguese (pt) to ALL_LINGUAS.

2003-05-22  Ross Burton  <ross@burtonini.com>

	* src/sj-extracting.c:
	Check if the file exists before extracting, and ask the user what
	they want to do.

2003-05-22  Ross Burton  <ross@burtonini.com>

	* data/sound-juicer.glade:
	Rename the Deselect All menu item.

2003-05-22  Ross Burton  <ross@burtonini.com>

	* src/sj-extractor.c:
	Rename the metadata caps, and pull the encoder construction apart
	a little more, ready for future enhancements. Vorbis quality now
	0.6, much better. :)

	* src/sj-main.c:
	Disable the Deselect All menu item as appropriate.

2003-05-21  Dmitry G. Mastrukov  <dmitry@taurussoft.org>

	* configure.in: Added Belarusian to ALL_LINGUAS.

2003-05-20  Ross Burton  <ross@burtonini.com>

	* tests/mb-test.c: 
	Update for new SjMusicbrainz API.

2003-05-20  Ross Burton  <ross@burtonini.com>

	* NEWS:
	Updated

	* configure.in:
	Check for all of the audio encoders we use, and bump the version
	number.

2003-05-17  Miloslav Trmac  <mitr@volny.cz>

	* configure.in: Added cs (Czech) to ALL_LINGUAS.

2003-05-14  Ross Burton  <ross@burtonini.com>

	* src/sj-main.c:
	Removed Pango markup from translatable strings. Closes #112929.

2003-05-14  Ross Burton  <ross@burtonini.com>

	* data/sound-juicer.glade:
	Fixed some typos. Closes #112933.

2003-05-14  Ross Burton  <ross@burtonini.com>

	* README:
	* TODO:
	Updated

	* src/sj-musicbrainz.[ch]:
	Re-arrange slightly so a single Musicbrainz object is used all the
	time, instead of re-creating it.

	* src/sj-extractor.[ch]:
	Change set_paranoia() to take an int, and add blurb to the format
	property.
	
	* src/sj-main.c:
	Pull the error message out, re-arrange the unrefing cleanup code,
	and check for errors when starting MusicBrainz.

2003-05-14  Christian Rose  <menthos@menthos.com>

	* configure.in: Added "sv" to ALL_LINGUAS.

2003-05-13  Anders Carlsson  <andersca@codefactory.se>

	* src/sj-main.c: (reread_cd):
	Add a watch cursor to the main window when re-reading CDs. Also
	don't use the main window as a transient if it hasn't been realized 
	yet.
	
	(main):
	Remove call to gtk_widget_realize.

2003-05-13  Ross Burton  <ross@burtonini.com>

	* data/sound-juicer.glade:
	Remove the changed callbacks from the file and path pattern option
	menus.
	
	* src/sj-prefs.c:
	Set the file and path option menus and then attach to the signals
	(thus keeping the users existing setting). Also fire fake events
	to set them to the correct values.
	
2003-05-12  Ross Burton  <ross@burtonini.com>

	* src/sj-extractor.c:
	Rebuild the pipeline using the correct encoder element. This makes
	the Format option work, but you only get metadata in Ogg at the
	minute.

2003-05-12  Ross Burton  <ross@burtonini.com>

	* configure.in: 
	Depend on GStreamer 0.6.1 for correct Ogg tagging.

	* src/sj-main.c:
	Remove a call to set the SjExtractor format, it was a test. Also
	change the application name slightly.

	* src/Makefile.am (AM_CFLAGS): 
	Be even meaner about code warnings, and fix the bacon copy code.

	* src/cd-drive.c:
	* bacon-cd-selection.c:
	Updated from libbacon, lots of fixed.

2003-05-08  Ross Burton  <ross@burtonini.com>

	* src/sj-main.c (device_changed_cb):
	Call exit(1) instead of gtk_main_quit() as there is not a main
	loop running if we get here on startup.

2003-05-08  Ross Burton  <ross@burtonini.com>

	* src/sj-extractor.c:
	Fix a compile error...

2003-05-08  Ross Burton  <ross@burtonini.com>

	* data/sound-juicer.glade:
	Enable the format radio buttons and add tooltips.

	* src/sj-extractor.[ch]:
	Add a "format" property, and rebuild the pipeline as required. It
	is currently ignored however...

	* src/sj-extracting.c:
	Use the SjExtractor format property, and pull apart the extension
	code.

	* src/sj-prefs.c:
	When the format GConf key is changed, update the radio buttons.
	
	* src/sj-main.c:
	Remove encoding_format, and handle the format GConf key nicely
	(using the g_enum* functions). Then set the format property of the
	SjExtractor.
	
	* src/sound-juicer.h:
	encoding_format no longer exists.

2003-05-07  Ross Burton  <ross@burtonini.com>

	* src/sj-main.c:
	Make the columns resizable.

	* data/sound-juicer.glade:
	Remove the "CD Info" heading.

2003-05-06  Carlos PerellÃ³ MarÃ­n <carlos@gnome.org>

	* configure.in (ALL_LINGUAS): Changed es_ES with es.

2003-05-06  Ross Burton  <ross@burtonini.com>

	* data/sound-juicer.glade:
	Added Edit -> Deselect All

	* src/sj-main.c:
	Implement Deselect All, generalising Select All. Closes #112320.

2003-05-06  Ross Burton  <ross@burtonini.com>

	* src/sj-extracting.c:
	(on_progress_cancel_clicked): Set the extracting state field to
	false. Noticed by Ryan Boren <ryan@boren.nu>.
	(on_extract_activate): Re-arrange the freeing of the pending list
	so that restarting extracts after cancelling works. Bug noticed by
	Ryan Boren.

	* src/sj-musicbrainz.[ch]:
	Add functions to set the proxy host and port.

	* src/sound-juicer.h:
	Define the GConf keys for the system HTTP proxy and port.
	
	* src/sj-main.c:
	Listen to the system HTTP proxy and set the MusicBrainz
	proxy. Patch from Kai Willadsen <kaiw@itee.uq.edu.au>.

	* configure.in:
	* po/es_ES.po:
	Added Spanish translation, by Kike <krm@futurnet.es>

	* NEWS:
	* README:
	* TODO:
	Updated.

2003-05-04  Ross Burton  <ross@burtonini.com>

	* configure.in:
	Add an option to carry on if no CD-ROMs were found. The program is
	useless but it means I can code on my laptop whilst everyone else
	gets more error checks.

	* src/sj-main.c:
	Display a dialog if there are no CD-ROMs found.

	* src/sj-prefs.c:
	Store the file and path patterns in structures.  Listen to the
	Strip Special, path and file pattern gconf keys and update the
	UI. Original patches from Ryan Boren <ryan@boren.nu>, modified by
	me.

2003-05-03  Ross Burton  <ross@burtonini.com>

	* src/sound-juicer.h:
	Name the column numbers enum.

	* src/sj-main.c:
	Allow the title/artist fields to be edited.
	(main) Listen to the file and path pattern GConf keys. Patch from Ryan
	Boren <ryan@boren.nu>.
	(duration_cell_data_cb) Fix memory leaks and stupid use of GValue.

	* src/sj-structures.c:
	Make the fields non-const so I can edit them.

2003-04-29  Ross Burton  <ross@burtonini.com>

	* configure.in: Version 0.2.1.

	* src/sj-extracting.c (build_filename):
	Actually build the filename correctly. Damn fool!

2003-04-29  Ross Burton  <ross@burtonini.com>

	* configure.in: Version 0.2.

2003-04-25  Ross Burton  <ross@burtonini.com>

	* data/sound-juicer.glade:
	Add a Strip Special Characters option, split the filename pattern
	into path and filename. Then did some UI tweaks suggested by
	Christian Neumair.
	
	* data/sound-juicer.schemas.in:
	Declare the strip_special, path_pattern and file_pattern
	keys. Remove pattern as it was never used. Add a default for the
	paranoia key.

	* src/Makefile.am:
	Turn on -Werror.

	* src/sj-main.c:
	Check SjExtractor was created OK, and monitor strip_special,
	file_pattern and path_pattern keys.

	* src/sj-extracting.c:
	Update for small changes, and use the path/file patterns.

	* src/sj-prefs:
	Initial code for setting the path and file patterns.

2003-04-25  Ross Burton  <ross@burtonini.com>

	* src/sj-extractor.[ch]:
	Added sj_extractor_get_new_error() to see if the construction of
	SjExtractor worked or failed.

	* NEWS:
	* README:
	* TODO:
	Updated.

2003-04-24  Ross Burton  <ross@burtonini.com>

	* src/sj-about.c: 
	Don't mark the copyright string as translatable and use the
	correct Unicode character for the copyright symbol.
	
2003-04-24  Ross Burton  <ross@burtonini.com>

	* src/sj-main.c:
	Use the correct variables when setting the pattern.

	* src/sj-extracting.c:
	Fix a minor logic bug in the pattern parser, and add a break.

2003-04-24  Ross Burton  <ross@burtonini.com>

	* .cvsignore:
	Ignore the generated spec file.

	* src/sj-extracting.c:
	Instead of hardcoding the output filename, use a GConf key and
	pattern subsitution.

	* src/sj-prefs.c:
	Nicer path selection dialog title.

	* src/sound-juicer.h:
	Make more fields public.
	
	* data/sound-juicer.schemas.in:
	* src/sj-main.c:
	* src/sj-extractor.c:
	* src/sj-extractor.h:
	Allow the user to set the paranoia level with a GConf key. Patch
	from foser@gentoo.org.

	* TODO:
	Updated.

2003-04-22  Christian Neumair  <chris@gnome-de.org>

	* configure.in: Added "de" (German) to ALL_LINGUAS.

2003-04-22  Frederic Crozat  <fcrozat@mandrakesoft.com>

	* sound-juicer.spec.in:
	use more macros.

2003-04-22  Ross Burton  <ross@burtonini.com>

	* src/sj-prefs.c:
	When showing the base path file selector, set the default path to
	the current base path.

2003-04-22  Ross Burton  <ross@burtonini.com>

	* src/sj-prefs.c:
	Add the UI to set the base path for ripped files.

	* TODO:
	Updated.

	* sound-juicer.spec.in:
	Added a RPM spec file, thanks to Ronald Bultje.

	* configure.in:
	Generate the spec file, and change gstreamer element check errors
	to warnings.

2003-04-11  Ross Burton  <ross@burtonini.com>

	* src/Makefile.am:
	* tests/Makefile.am:
	Rationalize the variable use so that I use the variables I should
	be using. Upshot is that it builds on automake 1.6 and 1.7.
	
2003-04-11  Frederic Crozat  <fcrozat@mandrakesoft.com>

	* data/sound-juicer.glade:
	Put back gnome requirement.

2003-04-11  Ross Burton  <ross@burtonini.com>

	* src/Makefile.am:
	Turn on GConf deprecation warnings.

2003-04-11  Ross Burton  <ross@burtonini.com>

	* acinclude.m4:
	Copy the GStreamer element check macro from GStreamer CVS until
	0.6.1 is released.
	* configure.in:
	Check for the elements we use.

	* data/sound-juicer.schemas.in:
	Add a GConf schemas file.
	* data/Makefile.am:
	Install the GConf schemas.

	* Makefile.am (SUBDIRS):
	Mention the po/ directory, and hack in the removal of the intltool
	cache (should be done in intltool I guess).

	* po/POTFILES.in:
	Update for new sources.

	* src/sj-gstreamer-fake.c:
	Remove old code.

	* src/sj-main.c:
	Remove the gconf_init() call as it is deprecated.
	Add an access check for the selected CD-ROM device.
	Realize the main window when setting the window icon so it works
	when a dialog pops up. Odd.

	* src/sj-extractor.c:
	Use g_warning instead of g_print, and clean the messages.

	* tests/Makefile.am:
	Use $(top_srcdir) so that out-of-source builds (and thus
	distcheck) work.

	* README:
	* TODO:
	Updated.
	
2003-04-10  Frederic Crozat  <fcrozat@mandrakesoft.com>

	* data/sound-juicer.glade:
	Use Stock entries.

	* src/Makefile.am:
	* src/sj-main.c: (main):
	Ensure everything is initialized correctly.

	* src/sj-about.c: (on_about_activate):
	Remove some TODO.

2003-04-10  Ross Burton  <ross@burtonini.com>

	* src/sj-main.c:
	* src/sj-prefs.[ch]: Promote glade-test.c and prefs-test.c here.
	* src/Makefile.am: Updated to install the sound-juicer binary.

	* tests/glade-test.c:
	* tests/prefs-test.[ch]: Removed.
	* tests/Makefile.am: Updated.

	* data/Makefile.am: Install orange-slice.png.

	* AUTHORS:
	* README:
	* TODO: Updated.

2003-04-09  Ross Burton  <ross@burtonini.com>

	* src/sj-extractor.[ch]: Add a method to get the TrackDetails of
	the current track.

	* tests/glade-test.c: Set window icons.
	
	* src/sj-extracting.[ch]: Pull the UI extracting code out.

	* src/sj-about.c: Set a window icon.

	* src/sound-juicer.h: More public fields.

	* tests/Makefile.am: Turn on all deprecation warnings, and fix
	mb-test linking.

	* TODO: Updated.

2003-04-09  Frederic Crozat  <fcrozat@mandrakesoft.com>

	* .cvsignore:
	* data/.cvsignore:
	* po/.cvsignore:
	* src/.cvsignore:
	* tests/.cvsignore:
	Keep quiet CVS.

2003-04-07  Jordi Mallach  <jordi@sindominio.net>

	* configure.in (ALL_LINGUAS): Added "ca" (Catalan).

2003-04-07  Ross Burton  <ross@burtonini.com>

	* README:
	* NEWS: Updated.

	* src/sj-about.[ch]: Added.

	* sound-juicer.h: Added common header file.

	* configure.in: Put config.h into src/

	* data/sound-juicer.glade: s/Refresh/Re-read/.

	* src/*.[ch]: Added licence text.

	* tests/glade-test.c:
	* tests/prefs-test.c:
	More work, refactoring, etc.

2003-04-04  Ross Burton  <ross@burtonini.com>

	* data/orange-slice.png: Groovy logo from Tigert.
	* data/logo.xcf: Remove this terrible example of my graphical skills.
	* tests/glade-test.c (on_about_activate): Added a cool logo.

	* tests/prefs-test.c:
	* tests/glade-test.c:
	Start to pull the prefences code out.

2003-04-04  Ross Burton  <ross@burtonini.com>

	* configure.in: Update source check as I removed sj-gstreamer.c

2003-04-04  Ross Burton  <ross@burtonini.com>

	* tests/data-test.c:
	* tests/gst-test.c:
	Removed

	* tests/Makefile.am: Updated.

2003-04-03  Ross Burton  <ross@burtonini.com>

	* src/sj-gstreamer.[ch]: Removed, replaced by sj-extract.

2003-04-03  Ross Burton  <ross@burtonini.com>

	* tests/glade-test.c (mkdir_recursive): Steal from gnome-vfs to
	replace my crap mkdirs().

2003-04-03  Ross Burton  <ross@burtonini.com>

	* src/sj-extractor.h: Whoops, inherit from GObject not GObject*.
	* src/sj-extractor.c: Signal fixes.

	* tests/glade-test.c: Use SjExtractor.
	* tests/Makefile.am: Update to use SjExtractor.

2003-04-03  Ross Burton  <ross@burtonini.com>

	* src/sj-extractor.c:
	GObjectify the GStreamer code. Hopefully I'll remove
	sj-gstreamer.[ch] later today.

2003-04-03  Ross Burton  <ross@burtonini.com>

	* tests/glade-test.c (mkdirs): Reimplemented mkdirs(). Still
	sucks, but at least works.

2003-04-02  Ross Burton  <ross@burtonini.com>

	* tests/glade-test.c (pop_and_rip): Whoops, I'd "fixed" the ObiWan
	and made it an ObiTwo. Fixing again.

2003-04-02  Ross Burton  <ross@burtonini.com>

	* tests/glade-test.c: Whoops, fix some compile errors.

2003-04-02  Ross Burton  <ross@burtonini.com>

	* data/sound-juicer.glade: Added format buttons to the prefs
	dialog.
	* tests/glade-test.c: More poking at setting the encoding format,
	implement cancelling the rip.

2003-04-02  Ross Burton  <ross@burtonini.com>

	* src/sj-gstreamer.h:
	* src/sj-gstreamer.c:
	Add a cancel callback, and poke at changing the encoding
	format. This will be rewritten.

	* README: Updated again.

2003-04-01  Ross Burton  <ross@burtonini.com>

	* src/sj-gstreamer.c: Take into account the track starting
	position when reporting progress callbacks.
	* tests/glade-test.c: Fix an Obi-Wan in the album progress bar,
	and record the track duration correctly.

2003-04-01  Ross Burton  <ross@burtonini.com>

	* README: Update to reflect new state -- it works!

	* data/sound-juicer.desktop.in: Added.
	* src/sound-juicer.png: Renamed from grip-48.png
	* data/Makefile.am: Added, install data files.
	* src/Makefile.am: Added, all it does at the moment it automake
	the libbacon updates.
	* Makefile.am: Go into src/ and data/, and remove NOTES as it
	doesn't exist any more.

	* src/sj-gstreamer.c:Markup translatable strings, and remove #if'd
	out code.
	* src/sj-musicbrainz.c: Markup translatable strings

	* po/POTFILES.in: Update
	
	* src/sj-gstreamer.c: Remove a compile warning.

	* data/sound-juicer.glade: Added a Select All menu item, and
	renamed some control.s
	* tests/glade-test.c: Implemented Select All, the album duration
	display, album extract progress, i18nized more strings...

2003-03-31  Ross Burton  <ross@burtonini.com>

	* tests/glade-test.c: Pass a GError to the extract code, and set
	the progress dialog as a transient.
	* src/sj-gstreamer.c: State and callback fixing. Now works!

2003-03-31  Ross Burton  <ross@burtonini.com>

	* src/sj-gstreamer.c: Cleansups.
	* tests/glade-test.c: New rip algorithm, should work...

2003-03-31  Ross Burton  <ross@burtonini.com>

	* tests/Makefile.am (AM_CFLAGS): Whoops, need -export-dynamic
	here. I wonder how it worked...

2003-03-30  Ross Burton  <ross@burtonini.com>

	* README: Add some notes here.
	* NOTES: Remove, its out of date.

2003-03-30  Ross Burton  <ross@burtonini.com>

	* autogen.sh: Arse, fix a syntax error.

2003-03-30  Ross Burton  <ross@burtonini.com>

	* */*: Initial import.
